"use strict"

let vanillaCoordDict = {
    "0x297-Trade":{
       "id":"0x297-Trade",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Mermaid Statue",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1554,
             "y":1852
          },
          {
              "map": "underworld",
              "x": 1530,
              "y": 1828
          }
       ],
       "index":0,
       "linkedItem": "TRADING_ITEM_SCALE_CHECKED",
    },
    "0x0C9-Trade":{
       "id":"0x0C9-Trade",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Mermaid",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1570,
             "y":1624
          }
       ],
       "index":1,
       "linkedItem": "TRADING_ITEM_NECKLACE_CHECKED",
    },
    "0x2F5-Trade":{
       "id":"0x2F5-Trade",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Fisher",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1716,
             "y":1852
          },
          {
              "map": "underworld",
              "x": 1684,
              "y": 1868
          }
       ],
       "index":2,
       "linkedItem": "TRADING_ITEM_FISHING_HOOK_CHECKED",
    },
    "0x0CD-Trade":{
       "id":"0x0CD-Trade",
       "vanillaArea":"Animal Village",
       "vanillaName":"Grandma",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2202,
             "y":1640
          }
       ],
       "index":3,
       "linkedItem": "TRADING_ITEM_BROOM_CHECKED",
    },
    "0x2A8-Trade":{
       "id":"0x2A8-Trade",
       "vanillaArea":"Goponga Swamp",
       "vanillaName":"MrWrite",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":112,
             "y":422
          },
          {
              "map": "underworld",
              "x": 72,
              "y": 438
          }
       ],
       "index":4,
       "linkedItem": "TRADING_ITEM_LETTER_CHECKED",
    },
    "0x2D9-Trade":{
       "id":"0x2D9-Trade",
       "vanillaArea":"Animal Village",
       "vanillaName":"Goat",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2138,
             "y":1624
          },
          {
              "map": "underworld",
              "x": 2210,
              "y": 1624
          }
       ],
       "index":5,
       "linkedItem": "TRADING_ITEM_HIBISCUS_CHECKED",
    },
    "0x019-Trade":{
       "id":"0x019-Trade",
       "vanillaArea":"Tal Tal Heights",
       "vanillaName":"Papahl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1554,
             "y":162
          },
        //   {
        //      "map":"vanillaOverworld",
        //      "x":1586,
        //      "y":178,
        //      "indirect":true
        //   }
       ],
       "index":6,
       "linkedItem": "TRADING_ITEM_PINEAPPLE_CHECKED",
    },
    "0x2D7-Trade":{
       "id":"0x2D7-Trade",
       "vanillaArea":"Animal Village",
       "vanillaName":"Bear Cook",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2186,
             "y":1738
          },
          {
              "map": "underworld",
              "x": 2194,
              "y": 1730
          }
       ],
       "index":7,
       "linkedItem": "TRADING_ITEM_HONEYCOMB_CHECKED",
    },
    "0x087-Trade":{
       "id":"0x087-Trade",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Honeycomb",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1206,
             "y":1088
          }
       ],
       "index":8,
       "linkedItem": "TRADING_ITEM_STICK_CHECKED",
    },
    "0x07B-Trade":{
       "id":"0x07B-Trade",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Kiki",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":990
          }
       ],
       "index":9,
       "linkedItem": "TRADING_ITEM_BANANAS_CHECKED",
    },
    "0x2FE-Trade":{
       "id":"0x2FE-Trade",
       "vanillaArea":"Toronbo Shores",
       "vanillaName":"Banana Sale",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":550,
             "y":1852
          },
          {
              "map": "underworld",
              "x": 606,
              "y": 1876
          }
       ],
       "index":10,
       "linkedItem": "TRADING_ITEM_DOG_FOOD_CHECKED",
    },
    "0x2B2-Trade":{
       "id":"0x2B2-Trade",
       "vanillaArea":"Mabe Village",
       "vanillaName":"YipYip",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":242,
             "y":1348
          },
          {
            "map": "underworld",
            "x": 210,
            "y": 1250
          }
       ],
       "index":11,
       "linkedItem": "TRADING_ITEM_RIBBON_CHECKED",
    },
    "0x2A6-Trade":{
       "id":"0x2A6-Trade",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Papahl's Wife",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":436,
             "y":1104
          },
          {
              "map": "underworld",
              "x": 356,
              "y": 1088
          }
       ],
       "index":12,
       "image": "02A6-Trade",
       "linkedItem": "TRADING_ITEM_YOSHI_DOLL_CHECKED",
    },
    "0x2A0-Trade":{
       "id":"0x2A0-Trade",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Trendy Game",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":566,
             "y":1494
          },
          {
              "map": "underworld",
              "x": 566,
              "y": 1478
          }
       ],
       "index":13,
       "requiredRupees": 10,
    },
    "0x2A0":{
       "id":"0x2A0",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Trendy Powder",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":566,
             "y":1494
          },
          {
              "map": "underworld",
              "x": 582,
              "y": 1462
          }
       ],
       "index":13,
       "vanilla": true,
       "vanillaItem": 'MAGIC_POWDER',
    },
    "0x1E4":{
       "id":"0x1E4",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Rooster",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":404,
             "y":1234
          },
          {
              "map": "underworld",
              "x": 396,
              "y": 1178
          }
       ],
       "index":14,
    },
    "0x2FB":{
       "id":"0x2FB",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Mamu",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":776,
             "y":1722
          },
          {
              "map": "underworld",
              "x": 720,
              "y": 1722
          }
       ],
       "index":15,
       "requiredRupees": 300,
    },
    "0x2FD":{
       "id":"0x2FD",
       "vanillaArea":"Tal Tal Heights",
       "vanillaName":"Manbo's Mambo",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1716,
             "y":292
          }
       ],
       "index":16,
    },
    "0x092":{
       "id":"0x092",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Ballad of the Wind Fish",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2024,
             "y":1738
          },
          {
             "map":"vanillaOverworld",
             "x":356,
             "y":1234
          }
       ],
       "index":17,
    },
    "0x27A":{
       "id":"0x27A",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Bird Key Cave",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1732,
             "y":96
          },
          {
              "map": "underworld",
              "x": 1628,
              "y": 210
          }
       ],
       "index":18,
    },
    "0x27F":{
       "id":"0x27F",
       "vanillaArea":"Southern Face Shrine",
       "vanillaName":"Armos Knight",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2024,
             "y":1348
          },
          {
              "map": "underworld",
              "x": 2008,
              "y": 1348
          }
       ],
       "index":19,
    },
    "0x0CE":{
       "id":"0x0CE",
       "vanillaArea":"Yarna Desert",
       "vanillaName":"Lanmola",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x": 2300,
             "y": 1640,
             "condition": (flags, settings) => { return flags.entranceshuffle != 'none'; },
          },
          {
             "map":"vanillaOverworld",
             "x": 2340,
             "y": 1616,
             "condition": (flags, settings) => { return flags.entranceshuffle == 'none'; },
          },
       ],
       "index":20,
    },
    "0x050":{
       "id":"0x050",
       "vanillaArea":"Mysterious Woods",
       "vanillaName":"Toadstool",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":32,
             "y":698
          }
       ],
       "index":21,
    },
    "0x0F2":{
       "id":"0x0F2",
       "vanillaArea":"Toronbo Shores",
       "vanillaName":"Sword on the Beach",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":404,
             "y":2030
          }
       ],
       "index":22,
    },
    "0x2BA":{
       "id":"0x2BA",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Access Tunnel Bombable Heart Piece",
       "locations":[
        //   {
        //      "map":"vanillaOverworld",
        //      "x":938,
        //      "y":178
        //   },
          {
             "map":"vanillaOverworld",
             "x":1182,
             "y":64
          },
          {
              "map": "underworld",
              "x": 1020,
              "y": 178
          }
       ],
       "index":23,
       "image": "02BA-1",
    },
    "0x1E2":{
       "id":"0x1E2",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Mad Batter",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":744,
             "y":96
          },
          {
              "map": "underworld",
              "x": 712,
              "y": 178
          }
       ],
       "index":24,
    },
    "0x004":{
       "id":"0x004",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Outside Mad Batter",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":728,
             "y":64
          }
       ],
       "index":25,
    },
    "0x01D":{
       "id":"0x01D",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Outside Five Chest Game",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2186,
             "y":146
          },
        //   {
        //      "map":"vanillaOverworld",
        //      "x":2122,
        //      "y":162,
        //      "indirect":true
        //   },
        //   {
        //      "map":"vanillaOverworld",
        //      "x":2218,
        //      "y":194
        //   }
       ],
       "index":26,
       "image":"001D",
    },
    "0x2F2":{
       "id":"0x2F2",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Five Chest Game",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2122,
             "y":162
          },
        //   {
        //      "map":"vanillaOverworld",
        //      "x":2218,
        //      "y":194
        //   }
       ],
       "index":27,
    },
    "0x00C":{
       "id":"0x00C",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Bridge Rock",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2072,
             "y":32
          }
       ],
       "index":28,
    },
    "0x01E-Owl":{
       "id":"0x01E-Owl",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Outside D7 Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2284,
             "y":194
          }
       ],
       "index":29,
    },
    "0x05D-Owl":{
       "id":"0x05D-Owl",
       "vanillaArea":"Rapids Ride",
       "vanillaName":"Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2170,
             "y":666
          }
       ],
       "index":30,
       "requiredRupees": 100,
    },
    "0x05D":{
       "id":"0x05D",
       "vanillaArea":"Rapids Ride",
       "vanillaName":"East",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2202,
             "y":666
          }
       ],
       "index":31,
       "requiredRupees": 100,
    },
    "0x05C":{
       "id":"0x05C",
       "vanillaArea":"Rapids Ride",
       "vanillaName":"West",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2008,
             "y":682
          }
       ],
       "index":32,
       "requiredRupees": 100,
    },
    "0x07F":{
       "id":"0x07F",
       "vanillaArea":"Rapids Ride",
       "vanillaName":"Raft Powder",
       "locations":[
           {
               "map": "vanillaOverworld",
               "x": 2218,
               "y": 876,
           },
           {
               "map": "vanillaOverworld",
               "x": 2510,
               "y": 974
           },
           {
               "map": "vanillaOverworld",
               "x": 2218,
               "y": 746
           },
           {
               "map": "vanillaOverworld",
               "x": 1960,
               "y": 714
           },
        ],
        "index": 31,
        "vanilla": true,
        "vanillaItem": "MAGIC_POWDER"
    },
    "0x08F-Owl": {
       "id":"0x08F-Owl",
       "vanillaArea":"Southern Face Shrine",
       "vanillaName":"Outside Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2542,
             "y":1104
          }
       ],
       "index":33,
    },
    "0x2FC":{
       "id":"0x2FC",
       "vanillaArea":"Southern Face Shrine",
       "vanillaName":"Under Armos Cave",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2332,
             "y":1380
          },
          {
              "map": "underworld",
              "x": 2494,
              "y": 1348
          }
       ],
       "index":34,
    },
    "0x1F2":{
       "id":"0x1F2",
       "vanillaArea":"Tal Tal Heights",
       "vanillaName":"Damp Cave Heart Piece",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":276
          },
          {
              "map": "underworld",
              "x": 2348,
              "y": 332
          }
       ],
       "index":35,
       "image":"01F2",
    },
    "0x28A":{
       "id":"0x28A",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Paphl Cave",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1586,
             "y":178
          },
          {
              "map": "underworld",
              "x": 1506,
              "y": 80
          }
       ],
       "index":36,
    },
    "0x2BB":{
       "id":"0x2BB",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Access Tunnel Interior",
       "locations":[
            {
                "map": "vanillaOverworld",
                "x": 1392,
                "y": 130
            },
            {
                "map": "underworld",
                "x": 1262,
                "y": 162
            }
        //   {
        //      "map":"vanillaOverworld",
        //      "x":1424,
        //      "y":130
        //   }
       ],
       "index":37,
       "image": "02BB",
    },
    "0x018":{
       "id":"0x018",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Access Tunnel Exterior",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1360,
             "y":146
          }
       ],
       "index":38,
    },
    "0x0FF":{
       "id":"0x0FF",
       "vanillaArea":"Yarna Desert",
       "vanillaName":"Rock Seashell",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2510,
             "y":1998
          }
       ],
       "index":39,
    },
    "0x1E8":{
       "id":"0x1E8",
       "vanillaArea":"Yarna Desert",
       "vanillaName":"Cave Under Lanmola",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2510,
             "y":1560
          },
          {
             "map":"vanillaOverworld",
             "x": 2380,
             "y": 1640,
             "condition": (flags, settings) => { return flags.entranceshuffle != 'none'; },
          },
          {
              "map": "underworld",
              "x": 2332,
              "y": 1706
          }
       ],
       "index":40,
       "image":"01E8",
    },
    "0x2E6":{
       "id":"0x2E6",
       "vanillaArea":"Yarna Desert",
       "vanillaName":"Bomb Arrow Cave",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2234,
             "y":1576
          },
          {
              "map": "underworld",
              "x": 2154,
              "y": 1316
          }
       ],
       "index":41,
       "image": "02E6",
    },
    "0x0CF-Owl":{
       "id":"0x0CF-Owl",
       "vanillaArea":"Yarna Desert",
       "vanillaName":"Desert Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":2478,
             "y":1576
          }
       ],
       "index":42,
    },
    "0x0DA-Owl":{
       "id":"0x0DA-Owl",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Peninsula Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1692,
             "y":1738
          }
       ],
       "index":43,
    },
    "0x0DA":{
       "id":"0x0DA",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Peninsula Dig",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1660,
             "y":1738
          }
       ],
       "index":44,
    },
    "0x2C6":{
       "id":"0x2C6",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"Ball and Chain Darknut Leaf",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":698
          },
          {
              "map": "underworld",
              "x": 1538,
              "y": 552
          }
       ],
       "index":45,
       "image": "02C6",
    },
    "0x2C5":{
       "id":"0x2C5",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"Bombable Darknut Leaf",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":828
          },
          {
              "map": "underworld",
              "x": 1328,
              "y": 568
          }
       ],
       "index":46,
       "image": "02C5",
    },
    "0x2D2":{
       "id":"0x2D2",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"Darknut, Zol, Bubble Leaf",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":828
          },
          {
              "map": "underworld",
              "x": 1490,
              "y": 942
          }
       ],
       "index":47,
       "image": "02D2",
    },
    "0x058":{
       "id":"0x058",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"Crow Rock Leaf",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1360,
             "y":666
          }
       ],
       "index":48,
    },
    "0x05A":{
       "id":"0x05A",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"Bomberman Meets Whack-a-mole Leaf",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1700,
             "y":714
          }
       ],
       "index":49,
    },
    "0x078":{
       "id":"0x078",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"In the Moat Heart Piece",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1392,
             "y":974
          }
       ],
       "index":50,
    },
    "0x2C8":{
       "id":"0x2C8",
       "vanillaArea":"Pothole Field",
       "vanillaName":"Under Richard's House",
       "locations":[
        //   {
        //      "map":"vanillaOverworld",
        //      "x":1020,
        //      "y":1624
        //   },
          {
             "map":"vanillaOverworld",
             "x":1036,
             "y":1754
          },
          {
              "map": "underworld",
              "x": 1004,
              "y": 1462
          }
       ],
       "index":51,
       "image": "02C8",
    },
    "0x0C6":{
       "id":"0x0C6",
       "vanillaArea":"Pothole Field",
       "vanillaName":"Slime Key Dig",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1084,
             "y":1608
          }
       ],
       "index":52,
    },
    "0x0C6-Owl":{
       "id":"0x0C6-Owl",
       "vanillaArea":"Pothole Field",
       "vanillaName":"Slime Key Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1084,
             "y":1576
          }
       ],
       "index":53,
    },
    "0x1E0":{
       "id":"0x1E0",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Mad Batter",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1036,
             "y":1868
          },
          {
              "map": "underworld",
              "x": 1036,
              "y": 1868
          }
        //   {
        //      "map":"vanillaOverworld",
        //      "x":1570,
        //      "y":2014,
        //      "indirect":true,
        //      "inSimpleEntrance":true,
        //   }
       ],
       "index":54,
    },
    "0x0A8-Owl":{
       "id":"0x0A8-Owl",
       "vanillaArea":"Donut Plains",
       "vanillaName":"Donut Plains Ledge Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1368,
             "y":1364
          }
       ],
       "index":55,
       "image":"00A8",
    },
    "0x0A8":{
       "id":"0x0A8",
       "vanillaArea":"Donut Plains",
       "vanillaName":"Donut Plains Ledge Dig",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1336,
             "y":1364
          }
       ],
       "index":56,
       "image":"00A8",
    },
    "0x0F8":{
       "id":"0x0F8",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Island Bush of Destiny",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1360,
             "y":2014
          }
       ],
       "index":57,
    },
    "0x0E9":{
       "id":"0x0E9",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Lone Bush",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1490,
             "y":1916
          }
       ],
       "index":58,
    },
    "0x0B9":{
       "id":"0x0B9",
       "vanillaArea":"Donut Plains",
       "vanillaName":"Rock Seashell",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1522,
             "y":1478
          }
       ],
       "index":59,
    },
    "0x1FD":{
       "id":"0x1FD",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"Boots Pit",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1328,
             "y":1006
          },
          {
              "map": "underworld",
              "x": 1360,
              "y": 942
          }
       ],
       "index":60,
    },
    "0x2E9":{
       "id":"0x2E9",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Seashell Mansion",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1700,
             "y":1088
          },
          {
              "map": "underworld",
              "x": 1692,
              "y": 1136
          }
       ],
       "index":63,
    },
    "0x2E9-0":{
       "id":"0x2E9-0",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Seashell Mansion 5 Bonus",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1700,
             "y":1088,
          },
          {
             "map": "underworld",
             "x": 1692,
             "y": 1136,
          }
       ],
       "index":61,
       "condition": (flags, settings) => { return !flags.ap_logic; },
    },
    "0x2E9-1":{
       "id":"0x2E9-1",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Seashell Mansion 10 Bonus",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1700,
             "y":1088,
          },
          {
             "map": "underworld",
             "x": 1692,
             "y": 1136,
          }
       ],
       "index":62,
       "condition": (flags, settings) => { return !flags.ap_logic; },
    },
    "0x0A4":{
       "id":"0x0A4",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"East of Mabe Tree Bonk",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":752,
             "y":1340
          }
       ],
       "index":62,
    },
    "0x08B":{
       "id":"0x08B",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"East of Seashell Mansion Bush",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":1120
          }
       ],
       "index":63,
    },
    "0x0A6":{
       "id":"0x0A6",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Outside D3 Island Bush",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1068,
             "y":1364
          }
       ],
       "index":64,
    },
    "0x0A5":{
       "id":"0x0A5",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Outside D3 Ledge Dig",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":890,
             "y":1364
          }
       ],
       "index":65,
    },
    "0x2E5":{
       "id":"0x2E5",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Boots 'n' Bomb Cave Bombable Wall",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":988,
             "y":1088
          },
          {
              "map": "underworld",
              "x": 1052,
              "y": 1104
          }
       ],
       "index":66,
       "image": "02E5",
    },
    "0x2F4":{
       "id":"0x2F4",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Boots 'n' Bomb Cave Chest",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":988,
             "y":1088
          },
          {
              "map": "underworld",
              "x": 938,
              "y": 1234
          }
       ],
       "index":67,
    },
    "0x2CD":{
       "id":"0x2CD",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Cave East of Mabe",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":792,
             "y":1120
          },
          {
              "map": "underworld",
              "x": 712,
              "y": 1072
          }
       ],
       "index":68,
    },
    "0x2E2":{
       "id":"0x2E2",
       "vanillaArea":"Tal Tal Heights",
       "vanillaName":"Moblin Cave",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":454
          },
          {
              "map": "underworld",
              "x": 834,
              "y": 398
          }
       ],
       "index":69,
    },
    "0x074":{
       "id":"0x074",
       "vanillaArea":"Koholint Prairie",
       "vanillaName":"Ghost Grave Dig",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":744,
             "y":958
          }
       ],
       "index":70,
    },
    "0x2DF":{
       "id":"0x2DF",
       "vanillaArea":"Koholint Prairie",
       "vanillaName":"Graveyard Connector",
       "locations":[
        //   {
        //      "map":"vanillaOverworld",
        //      "x":858,
        //      "y":958
        //   },
          {
             "map":"vanillaOverworld",
             "x":1068,
             "y":958
          },
          {
              "map": "underworld",
              "x": 1068,
              "y": 926
          }
       ],
       "index":71,
       "image": "02DF",
    },
    "0x035-Owl":{
       "id":"0x035-Owl",
       "vanillaArea":"Tal Tal Heights",
       "vanillaName":"Moblin Cave Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":858,
             "y":470
          }
       ],
       "index":72,
    },
    "0x2AF":{
       "id":"0x2AF",
       "vanillaArea":"Goponga Swamp",
       "vanillaName":"Write Cave East",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":178,
             "y":292
          },
          {
              "map": "underworld",
              "x": 258,
              "y": 292
          }
       ],
       "index":73,
       "image": "02AF",
    },
    "0x011-Owl":{
       "id":"0x011-Owl",
       "vanillaArea":"Goponga Swamp",
       "vanillaName":"North of Write Owl",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":178,
             "y":210
          }
       ],
       "index":74,
    },
    "0x2AE":{
       "id":"0x2AE",
       "vanillaArea":"Goponga Swamp",
       "vanillaName":"Write Cave West",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":178,
             "y":292
          },
          {
              "map": "underworld",
              "x": 112,
              "y": 276
          }
       ],
       "index":75,
       "image": "02AE",
    },
    "0x2B3":{
       "id":"0x2B3",
       "vanillaArea":"Mysterious Woods",
       "vanillaName":"Hookshot Cave",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":372,
             "y":568
          },
          {
              "map": "underworld",
              "x": 340,
              "y": 536
          }
       ],
       "index":76,
    },
    "0x2AB":{
       "id":"0x2AB",
       "vanillaArea":"Mysterious Woods",
       "vanillaName":"Cave Skull Heart Piece",
       "locations":[
        //   {
        //      "map":"vanillaOverworld",
        //      "x":128,
        //      "y":682
        //   },
          {
             "map":"vanillaOverworld",
             "x":436,
             "y":828
          },
          {
              "map": "underworld",
              "x": 48,
              "y": 698
          }
       ],
       "index":77,
       "image": "02AB",
    },
    "0x2BD":{
       "id":"0x2BD",
       "vanillaArea":"Mysterious Woods",
       "vanillaName":"Cave Crystal Chest",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":436,
             "y":828
          },
          {
              "map": "underworld",
              "x": 388,
              "y": 828
          }
        //   {
        //      "map":"vanillaOverworld",
        //      "x":128,
        //      "y":682
        //   }
       ],
       "index":78,
       "image": "02BD",
    },
    "0x041":{
       "id":"0x041",
       "vanillaArea":"Mysterious Woods",
       "vanillaName":"Tail Key Chest",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":226,
             "y":568
          }
       ],
       "index":79,
    },
    "0x034":{
       "id":"0x034",
       "vanillaArea":"Goponga Swamp",
       "vanillaName":"Swampy Chest",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":664,
             "y":406
          }
       ],
       "index":80,
    },
    "0x1E1":{
       "id":"0x1E1",
       "vanillaArea":"Mysterious Woods",
       "vanillaName":"Mad Batter",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":436,
             "y":682
          },
          {
              "map": "underworld",
              "x": 388,
              "y": 698
          }
       ],
       "index":81,
    },
    "0x071":{
       "id":"0x071",
       "vanillaArea":"Mysterious Woods",
       "vanillaName":"Two Zol, Moblin Chest",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":226,
             "y":990
          }
       ],
       "index":82,
    },
    "0x044":{
       "id":"0x044",
       "vanillaArea":"Koholint Prairie",
       "vanillaName":"Heart Piece of Shame",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":712,
             "y":584
          }
       ],
       "index":83,
    },
    "0x1E3":{
       "id":"0x1E3",
       "vanillaArea":"Martha's Bay",
       "vanillaName":"Ghost House Barrel",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1052,
             "y":1998
          },
          {
              "map": "underworld",
              "x": 1100,
              "y": 2046
          }
       ],
       "index":84,
       "image":"01E3",
    },
    "0x0E5":{
       "id":"0x0E5",
       "vanillaArea":"Toronbo Shores",
       "vanillaName":"West of Ghost House Chest",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":922,
             "y":1852
          }
       ],
       "index":85,
    },
    "0x0D2":{
       "id":"0x0D2",
       "vanillaArea":"Toronbo Shores",
       "vanillaName":"Outside D1 Tree Bonk",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":380,
             "y":1762
          }
       ],
       "index":86,
    },
    "0x2B2":{
       "id":"0x2B2",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Dog House Dig",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":242,
             "y":1348
          },
          {
              "map": "underworld",
              "x": 258,
              "y": 1266
          }
       ],
       "index":87,
       "image":"02B2",
    },
    "0x0A3":{
       "id":"0x0A3",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Bush Field",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":566,
             "y":1348
          }
       ],
       "index":88,
    },
    "0x2B1":{
       "id":"0x2B1",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Fishing Game Heart Piece",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":258,
             "y":1104
          }
       ],
       "index":89,
       "requiredRupees": 15,
    },
    "0x2A4":{
       "id":"0x2A4",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Well Heart Piece",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":1380
          },
          {
              "map": "underworld",
              "x": 64,
              "y": 1364
          }
       ],
       "index":90,
    },
    "0x2BE":{
       "id":"0x2BE",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Dream Hut West",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":518,
             "y":1088
          },
          {
              "map": "underworld",
              "x": 614,
              "y": 876
          }
       ],
       "index":91,
    },
    "0x2BF":{
       "id":"0x2BF",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Dream Hut East",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":518,
             "y":1088
          },
          {
              "map": "underworld",
              "x": 664,
              "y": 876
          }
       ],
       "index":92,
    },
    "0x30A-Owl":{
       "id":"0x30A-Owl",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Puzzowl",
       "locations":[
          {
             "map":"d0",
             "x":208,
             "y":256
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":10,
    },
    "0x307":{
       "id":"0x307",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Bullshit Room",
       "locations":[
          {
             "map":"d0",
             "x":544,
             "y":176
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":9,
    },
    "0x306":{
       "id":"0x306",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Zol Chest",
       "locations":[
          {
             "map":"d0",
             "x":448,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":8,
    },
    "0x302":{
       "id":"0x302",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Nightmare Key Chest",
       "locations":[
          {
             "map":"d0",
             "x":704,
             "y":16
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":7,
    },
    "0x311":{
       "id":"0x311",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Two Socket Chest",
       "locations":[
          {
             "map":"d0",
             "x":768,
             "y":416
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":3,
    },
    "0x30F":{
       "id":"0x30F",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Entrance Chest",
       "locations":[
          {
             "map":"d0",
             "x":448,
             "y":416
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":1,
    },
    "0x30F-Owl":{
       "id":"0x30F-Owl",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Entrance Owl",
       "locations":[
          {
             "map":"d0",
             "x":400,
             "y":384
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":2,
    },
    "0x308":{
       "id":"0x308",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Upper Small Key",
       "locations":[
          {
             "map":"d0",
             "x":720,
             "y":176
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":5,
    },
    "0x308-Owl":{
       "id":"0x308-Owl",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Upper Key Owl",
       "locations":[
          {
             "map":"d0",
             "x":704,
             "y":128
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":6,
    },
    "0x314":{
       "id":"0x314",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Lower Small Key",
       "locations":[
          {
             "map":"d0",
             "x":512,
             "y":592
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":4,
    },
    "0x30E":{
       "id":"0x30E",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Pot Powder",
       "locations":[
          {
              "map": "d0",
              "x": 176,
              "y": 400
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":0,
       "vanilla": true,
       "vanillaItem": "MAGIC_POWDER"
    },
    "0x230":{
       "id":"0x230",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Thunder Drum",
       "locations":[
          {
             "map":"d8",
             "x":552,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":23,
       "linkedItem": "INSTRUMENT8",
       "vanillaLink": "true",
    },
    "0x234":{
       "id":"0x234",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Hot Head Heart Container",
       "locations":[
        {
            "map": "d8",
            "x": 552,
            "y": 224
        },
        {
            "map":"vanillaOverworld",
            "x":80,
            "y":130
        }
       ],
       "index":22,
    },
    "0x232":{
       "id":"0x232",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Nightmare Key/Big Zamboni Chest",
       "locations":[
          {
             "map":"d8",
             "x":128,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":15,
    },
    "0x23A":{
       "id":"0x23A",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"West of Boss Door Ledge Chest",
       "locations":[
          {
             "map":"d8",
             "x":448,
             "y":272
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":17,
    },
    "0x241-Owl":{
       "id":"0x241-Owl",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Lava Arrow Statue Owl",
       "locations":[
          {
             "map":"d8",
             "x":416,
             "y":384
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":13,
    },
    "0x241":{
       "id":"0x241",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Lava Arrow Statue Key",
       "locations":[
          {
             "map":"d8",
             "x":352,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":12,
    },
    "0x000":{
       "id":"0x000",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Outside D8 Heart Piece",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":64,
             "y":32
          },
          {
             "map":"d8",
             "x":400,
             "y":256
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":16,
    },
    "0x23D":{
       "id":"0x23D",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Dodongo Chest",
       "locations":[
          {
             "map":"d8",
             "x":928,
             "y":288
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":20,
    },
    "0x240":{
       "id":"0x240",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Beamos Blocked Chest",
       "locations":[
          {
             "map":"d8",
             "x":256,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":14,
    },
    "0x237":{
       "id":"0x237",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Magic Rod Chest",
       "locations":[
          {
             "map":"d8",
             "x":1168,
             "y":144
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":11,
    },
    "0x235":{
       "id":"0x235",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Lava Ledge Chest",
       "locations":[
          {
             "map":"d8",
             "x":688,
             "y":144
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":21,
    },
    "0x2352":{
       "id":"0x2352",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Lava Ledge Flying Powder",
       "locations":[
          {
             "map": "d8",
             "x": 752,
             "y": 160
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":21,
       "vanilla": true,
       "vanillaItem": "MAGIC_POWDER",
    },
    "0x23E":{
       "id":"0x23E",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Gibdos on Cracked Floor Key",
       "locations":[
          {
             "map":"d8",
             "x":992,
             "y":304
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":18,
    },
    "0x23E2":{
       "id":"0x23E2",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Cracked Floor Flying Powder",
       "locations":[
          {
             "map": "d8",
             "x": 1040,
             "y": 288
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":18,
       "vanilla": true,
       "vanillaItem": "MAGIC_POWDER",
    },
    "0x245-Owl":{
       "id":"0x245-Owl",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Bombable Blocks Owl",
       "locations":[
          {
             "map":"d8",
             "x":1072,
             "y":384
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":19,
    },
    "0x25F":{
       "id":"0x25F",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Four Ropes Pot Chest",
       "locations":[
          {
             "map":"d8",
             "x":1248,
             "y":928
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":9,
    },
    "0x25A":{
       "id":"0x25A",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Zamboni, Two Zol Key",
       "locations":[
          {
             "map":"d8",
             "x":992,
             "y":816
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":7,
    },
    "0x259":{
       "id":"0x259",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Right Lava Chest",
       "locations":[
          {
             "map":"d8",
             "x":864,
             "y":832
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":6,
    },
    "0x258":{
       "id":"0x258",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Pot Flying Powder",
       "locations":[
          {
             "map": "d8",
             "x": 720,
             "y": 832
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":6,
       "vanilla": true,
       "vanillaItem": "MAGIC_POWDER",
    },
    "0x253-Owl":{
       "id":"0x253-Owl",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Beamos Owl",
       "locations":[
          {
             "map":"d8",
             "x":1136,
             "y":720
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":8,
    },
    "0x246":{
       "id":"0x246",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Two Torches Room Chest",
       "locations":[
          {
             "map":"d8",
             "x":288,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":2,
    },
    "0x255":{
       "id":"0x255",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Spark, Pit Chest",
       "locations":[
          {
             "map":"d8",
             "x":256,
             "y":800
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":3,
    },
    "0x24C":{
       "id":"0x24C",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Left Vire Key",
       "locations":[
          {
             "map":"d8",
             "x":32,
             "y":688
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":4,
    },
    "0x25C":{
       "id":"0x25C",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Vacuum Mouth Chest",
       "locations":[
          {
             "map":"d8",
             "x":64,
             "y":944
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":5,
    },
    "0x24D":{
       "id":"0x24D",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Left of Hinox Zamboni Chest",
       "locations":[
          {
             "map":"d8",
             "x":288,
             "y":672
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":1,
    },
    "0x24F":{
       "id":"0x24F",
       "vanillaArea":"Turtle Rock",
       "vanillaName":"Push Block Chest",
       "locations":[
          {
             "map":"d8",
             "x":528,
             "y":672
          },
          {
             "map":"vanillaOverworld",
             "x":80,
             "y":130
          }
       ],
       "index":10,
    },
    "0x22C":{
       "id":"0x22C",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Organ of Evening Calm",
       "locations":[
          {
             "map":"d7",
             "x":1032,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":141,
       "linkedItem": "INSTRUMENT7",
       "vanillaLink": "true",
    },
    "0x223":{
       "id":"0x223",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Evil Eagle Heart Container",
       "locations":[
        {
            "map": "d7",
            "x": 976,
            "y": 288
        },
        {
            "map":"vanillaOverworld",
            "x":2348,
            "y":32
        }
       ],
       "index":140,
    },
    "0x220":{
       "id":"0x220",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Conveyor Beamos Chest",
       "locations":[
          {
             "map":"d7",
             "x":1088,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":139,
    },
    "0x21A":{
       "id":"0x21A",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Mirror Shield Chest",
       "locations":[
          {
             "map":"d7",
             "x":528,
             "y":288
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":127,
    },
    "0x224":{
       "id":"0x224",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Nightmare Key/After Grim Creeper Chest",
       "locations":[
          {
             "map":"d7",
             "x":1248,
             "y":160
          },
          {
             "map":"d7",
             "x":1248,
             "y":672
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":138,
    },
    "0x21C":{
       "id":"0x21C",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Three of a Kind, Pit Chest",
       "locations":[
          {
             "map":"d7",
             "x":288,
             "y":416
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":137,
    },
    "0x21C-Owl":{
       "id":"0x21C-Owl",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Three of a Kind, Pit Owl",
       "locations":[
          {
             "map":"d7",
             "x":176,
             "y":384
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":136,
    },
    "0x201":{
       "id":"0x201",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Kirby Ledge Chest",
       "locations":[
          {
             "map":"d7",
             "x":16,
             "y":528
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":134,
    },
    "0x21B":{
       "id":"0x21B",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Hinox Key",
       "locations":[
          {
             "map":"d7",
             "x":32,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":133,
    },
    "0x211":{
       "id":"0x211",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Three of a Kind, No Pit Chest",
       "locations":[
          {
             "map":"d7",
             "x":288,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":130,
    },
    "0x209":{
       "id":"0x209",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Switch Wrapped Chest",
       "locations":[
          {
             "map":"d7",
             "x":80,
             "y":800
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":135,
    },
    "0x204":{
       "id":"0x204",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Beamos Ledge Chest",
       "locations":[
          {
             "map":"d7",
             "x":608,
             "y":528
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":131,
    },
    "0x204-Owl":{
       "id":"0x204-Owl",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Beamos Owl",
       "locations":[
          {
             "map":"d7",
             "x":544,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":132,
    },
    "0x212":{
       "id":"0x212",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Horse Head, Bubble Chest",
       "locations":[
          {
             "map":"d7",
             "x":448,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":129,
    },
    "0x216-Owl":{
       "id":"0x216-Owl",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Ball Owl",
       "locations":[
          {
             "map":"d7",
             "x":496,
             "y":128
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":128,
    },
    "0x210":{
       "id":"0x210",
       "vanillaArea":"Eagle's Tower",
       "vanillaName":"Entrance Key",
       "locations":[
          {
             "map":"d7",
             "x":512,
             "y":944
          },
          {
             "map":"vanillaOverworld",
             "x":2348,
             "y":32
          }
       ],
       "index":126,
    },
    "0x1B5":{
       "id":"0x1B5",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Coral Triangle",
       "locations":[
          {
             "map":"d6",
             "x":712,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":160,
       "linkedItem": "INSTRUMENT6",
       "vanillaLink": "true",
    },
    "0x1BC":{
       "id":"0x1BC",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Facade Heart Container",
       "locations":[
        {
            "map": "d6",
            "x": 712,
            "y": 352
        },
        {
            "map":"vanillaOverworld",
            "x":1992,
            "y":1080
        }
       ],
       "index":159,
    },
    "0x1B6":{
       "id":"0x1B6",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Pot Locked Chest",
       "locations":[
          {
             "map":"d6",
             "x":1008,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":157,
    },
    "0x1B6-Owl":{
       "id":"0x1B6-Owl",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Pot Owl",
       "locations":[
          {
             "map":"d6",
             "x":1024,
             "y":128
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":158,
    },
    "0x1B1":{
       "id":"0x1B1",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Top Right Horse Heads Chest",
       "locations":[
          {
             "map":"d6",
             "x":1152,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":156,
    },
    "0x1C3":{
       "id":"0x1C3",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Tile Room Key",
       "locations":[
          {
             "map":"d6",
             "x":512,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":155,
    },
    "0x1D7-Owl":{
       "id":"0x1D7-Owl",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Blade Trap Owl",
       "locations":[
          {
             "map":"d6",
             "x":976,
             "y":768
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":152,
    },
    "0x1D1":{
       "id":"0x1D1",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Four Wizzrobe Ledge Chest",
       "locations":[
          {
             "map":"d6",
             "x":1088,
             "y":720
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":153,
    },
    "0x1BE":{
       "id":"0x1BE",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Water Tektite Chest",
       "locations":[
          {
             "map":"d6",
             "x":1056,
             "y":272
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":154,
    },
    "0x06C":{
       "id":"0x06C",
       "vanillaArea":"Rapids Ride",
       "vanillaName":"Outside D6 Chest",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":828
          },
          {
             "map":"d6",
             "x":112,
             "y":0
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":151,
    },
    "0x1B0":{
       "id":"0x1B0",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Top Left Horse Heads Chest",
       "locations":[
          {
             "map":"d6",
             "x":112,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":150,
    },
    "0x1B4":{
       "id":"0x1B4",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Two Wizzrobe Key",
       "locations":[
          {
             "map":"d6",
             "x":512,
             "y":176
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":149,
    },
    "0x1B3":{
       "id":"0x1B3",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Switch, Star Above Statues Chest",
       "locations":[
          {
             "map":"d6",
             "x":208,
             "y":192
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":148,
    },
    "0x1B9":{
       "id":"0x1B9",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Stairs Across Statues Chest",
       "locations":[
          {
             "map":"d6",
             "x":208,
             "y":272
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":147,
    },
    "0x1C0":{
       "id":"0x1C0",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Three Wizzrobe, Switch Chest",
       "locations":[
          {
             "map":"d6",
             "x":128,
             "y":416
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":146,
    },
    "0x1CE":{
       "id":"0x1CE",
       "vanillaArea":"Face Shrine",
       "vanillaName":"L2 Bracelet Chest",
       "locations":[
          {
             "map":"d6",
             "x":176,
             "y":656
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":144,
    },
    "0x1BB-Owl":{
       "id":"0x1BB-Owl",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Corridor Owl",
       "locations":[
          {
             "map":"d6",
             "x":560,
             "y":336
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":145,
    },
    "0x1C9":{
       "id":"0x1C9",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Flying Heart, Statue Chest",
       "locations":[
          {
             "map":"d6",
             "x":432,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":143,
    },
    "0x1CF":{
       "id":"0x1CF",
       "vanillaArea":"Face Shrine",
       "vanillaName":"Mini-Moldorm, Spark Chest",
       "locations":[
          {
             "map":"d6",
             "x":432,
             "y":688
          },
          {
             "map":"vanillaOverworld",
             "x":1992,
             "y":1080
          }
       ],
       "index":142,
    },
    "0x182":{
       "id":"0x182",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Wind Marimba",
       "locations":[
          {
             "map":"d5",
             "x":392,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":176,
       "linkedItem": "INSTRUMENT5",
       "vanillaLink": "true",
    },
    "0x185":{
       "id":"0x185",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Slime Eel Heart Container",
       "locations":[
        {
            "map": "d5",
            "x": 392,
            "y": 224
        },
        {
            "map":"vanillaOverworld",
            "x":1538,
            "y":1738
        }
       ],
       "index":175,
    },
    "0x186":{
       "id":"0x186",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Nightmare Key/Torch Cross Chest",
       "locations":[
          {
             "map":"d5",
             "x":720,
             "y":320
          },
          {
             "map":"d5",
             "x":512,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":168,
    },
    "0x183":{
       "id":"0x183",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Three Stalfos Chest",
       "locations":[
          {
             "map":"d5",
             "x":544,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":172,
    },
    "0x180":{
       "id":"0x180",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Master Stalfos Item",
       "locations":[
          {
             "map":"d5",
             "x":64,
             "y":48
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":174,
    },
    "0x18F":{
       "id":"0x18F",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Flying Bomb Chest East",
       "locations":[
          {
             "map":"d5",
             "x":1088,
             "y":304
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":170,
    },
    "0x188":{
       "id":"0x188",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Swort Stalfos, Star, Bridge Chest",
       "locations":[
          {
             "map":"d5",
             "x":928,
             "y":144
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":171,
    },
    "0x18E":{
       "id":"0x18E",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Two Stalfos, Star Pit Chest",
       "locations":[
          {
             "map":"d5",
             "x":912,
             "y":272
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":169,
    },
    "0x18A-Owl":{
       "id":"0x18A-Owl",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Star Owl",
       "locations":[
          {
             "map":"d5",
             "x":240,
             "y":256
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":167,
    },
    "0x196":{
       "id":"0x196",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Hookshot Note Chest",
       "locations":[
          {
             "map":"d5",
             "x":832,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":166,
    },
    "0x197":{
       "id":"0x197",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Three Iron Mask Chest",
       "locations":[
          {
             "map":"d5",
             "x":208,
             "y":672
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":164,
    },
    "0x19B":{
       "id":"0x19B",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Flying Bomb Chest South",
       "locations":[
          {
             "map":"d5",
             "x":448,
             "y":800
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":163,
    },
    "0x19A-Owl":{
       "id":"0x19A-Owl",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Crystal Owl",
       "locations":[
          {
             "map":"d5",
             "x":752,
             "y":640
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":165,
    },
    "0x181":{
       "id":"0x181",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Crystal Key",
       "locations":[
          {
             "map":"d5",
             "x":192,
             "y":48
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":173,
    },
    "0x19E":{
       "id":"0x19E",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Spark, Two Iron Mask Chest",
       "locations":[
          {
             "map":"d5",
             "x":592,
             "y":928
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":162,
    },
    "0x1A0":{
       "id":"0x1A0",
       "vanillaArea":"Catfish's Maw",
       "vanillaName":"Entrance Hookshottable Chest",
       "locations":[
          {
             "map":"d5",
             "x":912,
             "y":912
          },
          {
             "map":"vanillaOverworld",
             "x":1538,
             "y":1738
          }
       ],
       "index":161,
    },
    "0x162":{
       "id":"0x162",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Surf Harp",
       "locations":[
          {
             "map":"d4",
             "x":74,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":192,
       "linkedItem": "INSTRUMENT4",
       "vanillaLink": "true",
    },
    "0x166":{
       "id":"0x166",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Angler Fish Heart Container",
       "locations":[
        {
            "map": "d4",
            "x": 72,
            "y": 336
        },
        {
            "map":"vanillaOverworld",
            "x":1846,
            "y":276
        }
       ],
       "index":191,
    },
    "0x176":{
       "id":"0x176",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Nightmare Key Ledge Chest",
       "locations":[
          {
             "map":"d4",
             "x":192,
             "y":656
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":190,
    },
    "0x160":{
       "id":"0x160",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Flippers Chest",
       "locations":[
          {
             "map":"d4",
             "x":384,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":188,
    },
    "0x168":{
       "id":"0x168",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Spark Chest",
       "locations":[
          {
             "map":"d4",
             "x":352,
             "y":288
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":187,
    },
    "0x16D":{
       "id":"0x16D",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Blob Chest",
       "locations":[
          {
             "map":"d4",
             "x":256,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":186,
    },
    "0x16E":{
       "id":"0x16E",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Flipper Locked After Boots Pit Chest",
       "locations":[
          {
             "map":"d4",
             "x":416,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":189,
    },
    "0x169":{
       "id":"0x169",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Pit Key",
       "locations":[
          {
             "map":"d4",
             "x":752,
             "y":288
          },
          {
             "map":"d4",
             "x":512,
             "y":304
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":184,
    },
    "0x16F-Owl":{
       "id":"0x16F-Owl",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Spiked Beetle Owl",
       "locations":[
          {
             "map":"d4",
             "x":528,
             "y":448
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":185,
    },
    "0x175":{
       "id":"0x175",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Flipper Locked Before Boots Pit Chest",
       "locations":[
          {
             "map":"d4",
             "x":672,
             "y":560
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":183,
    },
    "0x165":{
       "id":"0x165",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Upper Bomb Locked Watery Chest",
       "locations":[
          {
             "map":"d4",
             "x":880,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":182,
    },
    "0x171":{
       "id":"0x171",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Lower Bomb Locked Watery Chest",
       "locations":[
          {
             "map":"d4",
             "x":912,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":181,
    },
    "0x17B":{
       "id":"0x17B",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Crystal Chest",
       "locations":[
          {
             "map":"d4",
             "x":544,
             "y":832
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":180,
    },
    "0x178":{
       "id":"0x178",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Two Spiked Beetle, Zol Chest",
       "locations":[
          {
             "map":"d4",
             "x":576,
             "y":704
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":179,
    },
    "0x16A":{
       "id":"0x16A",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"NW of Boots Pit Ledge Chest",
       "locations":[
          {
             "map":"d4",
             "x":656,
             "y":336
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":178,
    },
    "0x179":{
       "id":"0x179",
       "vanillaArea":"Angler's Tunnel",
       "vanillaName":"Watery Statue Chest",
       "locations":[
          {
             "map":"d4",
             "x":704,
             "y":672
          },
          {
             "map":"vanillaOverworld",
             "x":1846,
             "y":276
          }
       ],
       "index":177,
    },
    "0x159":{
       "id":"0x159",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Sea Lily's Bell",
       "locations":[
          {
             "map":"d3",
             "x":872,
             "y":672
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":214,
       "linkedItem": "INSTRUMENT3",
       "vanillaLink": "true",
    },
    "0x15A":{
       "id":"0x15A",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Slime Eye Heart Container",
       "locations":[
        {
            "map": "d3",
            "x": 872,
            "y": 848
        },
        {
            "map":"vanillaOverworld",
            "x":906,
            "y":1446
        }
       ],
       "index":213,
    },
    "0x15B":{
       "id":"0x15B",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Nightmare Door Key",
       "locations":[
          {
             "map":"d3",
             "x":832,
             "y":944
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":212,
    },
    "0x140-Owl":{
       "id":"0x140-Owl",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Flying Bomb Owl",
       "locations":[
          {
             "map":"d3",
             "x":64,
             "y":0
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":205,
    },
    "0x144":{
       "id":"0x144",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Two Zol, Stalfos Ledge Chest",
       "locations":[
          {
             "map":"d3",
             "x":128,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":206,
    },
    "0x148":{
       "id":"0x148",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Two Zol, Two Pairodd Key",
       "locations":[
          {
             "map":"d3",
             "x":32,
             "y":304
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":204,
    },
    "0x141":{
       "id":"0x141",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Three Bombite Key",
       "locations":[
          {
             "map":"d3",
             "x":192,
             "y":48
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":211,
    },
    "0x142":{
       "id":"0x142",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Three Zol, Stalfos Chest",
       "locations":[
          {
             "map":"d3",
             "x":384,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":210,
    },
    "0x146":{
       "id":"0x146",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Boots Chest",
       "locations":[
          {
             "map":"d3",
             "x":384,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":207,
    },
    "0x147":{
       "id":"0x147",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Tile Arrow Ledge Chest",
       "locations":[
          {
             "map":"d3",
             "x":608,
             "y":144
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":208,
    },
    "0x147-Owl":{
       "id":"0x147-Owl",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Tile Arrow Owl",
       "locations":[
          {
             "map":"d3",
             "x":528,
             "y":128
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":209,
    },
    "0x14D":{
       "id":"0x14D",
       "vanillaArea":"Key Cavern",
       "vanillaName":"After Stairs Key",
       "locations":[
          {
             "map":"d3",
             "x":352,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":203,
    },
    "0x158":{
       "id":"0x158",
       "vanillaArea":"Key Cavern",
       "vanillaName":"South Key Room Key",
       "locations":[
          {
             "map":"d3",
             "x":832,
             "y":560
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":202,
    },
    "0x155":{
       "id":"0x155",
       "vanillaArea":"Key Cavern",
       "vanillaName":"West Key Room Key",
       "locations":[
          {
             "map":"d3",
             "x":672,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":201,
    },
    "0x14C":{
       "id":"0x14C",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Zol Switch Chest",
       "locations":[
          {
             "map":"d3",
             "x":208,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":200,
    },
    "0x150":{
       "id":"0x150",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Sword Stalfos, Keese Switch Chest",
       "locations":[
          {
             "map":"d3",
             "x":400,
             "y":688
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":196,
    },
    "0x154-Owl":{
       "id":"0x154-Owl",
       "vanillaArea":"Key Cavern",
       "vanillaName":"North Key Room Owl",
       "locations":[
          {
             "map":"d3",
             "x":848,
             "y":304
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":199,
    },
    "0x154":{
       "id":"0x154",
       "vanillaArea":"Key Cavern",
       "vanillaName":"North Key Room Key",
       "locations":[
          {
             "map":"d3",
             "x":832,
             "y":304
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":198,
    },
    "0x14E":{
       "id":"0x14E",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Two Stalfos, Zol Chest",
       "locations":[
          {
             "map":"d3",
             "x":288,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":197,
    },
    "0x14F":{
       "id":"0x14F",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Four Zol Chest",
       "locations":[
          {
             "map":"d3",
             "x":272,
             "y":672
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":195,
    },
    "0x151":{
       "id":"0x151",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Two Bombite, Sword Stalfos, Zol Chest",
       "locations":[
          {
             "map":"d3",
             "x":288,
             "y":816
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":194,
    },
    "0x153":{
       "id":"0x153",
       "vanillaArea":"Key Cavern",
       "vanillaName":"Vacuum Mouth Chest",
       "locations":[
          {
             "map":"d3",
             "x":448,
             "y":928
          },
          {
             "map":"vanillaOverworld",
             "x":906,
             "y":1446
          }
       ],
       "index":193,
    },
    "0x12A":{
       "id":"0x12A",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Conch Horn",
       "locations":[
          {
             "map":"d2",
             "x":712,
             "y":288
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":231,
       "linkedItem": "INSTRUMENT2",
       "vanillaLink": "true",
    },
    "0x12B":{
       "id":"0x12B",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Genie Heart Container",
       "locations":[
          {
             "map":"d2",
             "x":872,
             "y":312
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":230,
    },
    "0x127":{
       "id":"0x127",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Enemy Order Room Chest",
       "locations":[
          {
             "map":"d2",
             "x":768,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":229,
    },
    "0x122":{
       "id":"0x122",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Second Switch Locked Chest",
       "locations":[
          {
             "map":"d2",
             "x":432,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":228,
    },
    "0x120":{
       "id":"0x120",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Boo Buddies Room Chest",
       "locations":[
          {
             "map":"d2",
             "x":128,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":227,
    },
    "0x12F-Owl":{
       "id":"0x12F-Owl",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Before First Staircase Owl",
       "locations":[
          {
             "map":"d2",
             "x":832,
             "y":512
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":223,
    },
    "0x129-Owl":{
       "id":"0x129-Owl",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"After Hinox Owl",
       "locations":[
          {
             "map":"d2",
             "x":240,
             "y":256
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":224,
    },
    "0x121":{
       "id":"0x121",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Outside Boo Buddies Room Chest",
       "locations":[
          {
             "map":"d2",
             "x":272,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":226,
    },
    "0x1212":{
       "id":"0x1212",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Outside Boo Buddies Flying Powder",
       "locations":[
          {
             "map": "d2",
             "x": 240,
             "y": 32
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":226,
       "vanilla": true,
       "vanillaItem": "MAGIC_POWDER",
    },
    "0x126":{
       "id":"0x126",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Vacuum Mouth Chest",
       "locations":[
          {
             "map":"d2",
             "x":192,
             "y":160
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":225,
    },
    "0x134":{
       "id":"0x134",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Mask-Mimic Key",
       "locations":[
          {
             "map":"d2",
             "x":672,
             "y":688
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":220,
    },
    "0x139":{
       "id":"0x139",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Button Spawn Chest",
       "locations":[
          {
             "map":"d2",
             "x":768,
             "y":800
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":222,
    },
    "0x1392":{
       "id":"0x1392",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Pit Flying Powder",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          },
          {
             "map": "d2",
             "x": 720,
             "y": 832
          },
       ],
       "index":222,
       "vanilla": true,
       "vanillaItem": "MAGIC_POWDER",
    },
    "0x138":{
       "id":"0x138",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"First Switch Locked Chest",
       "locations":[
          {
             "map":"d2",
             "x":528,
             "y":832
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":221,
    },
    "0x133-Owl":{
       "id":"0x133-Owl",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Switch Owl",
       "locations":[
          {
             "map":"d2",
             "x":544,
             "y":640
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":219,
    },
    "0x137":{
       "id":"0x137",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Mask-Mimic Chest",
       "locations":[
          {
             "map":"d2",
             "x":448,
             "y":800
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":218,
    },
    "0x132":{
       "id":"0x132",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Two Stalfos Key",
       "locations":[
          {
             "map":"d2",
             "x":352,
             "y":688
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":217,
    },
    "0x12E":{
       "id":"0x12E",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Hardhat Beetle Pit Chest",
       "locations":[
          {
             "map":"d2",
             "x":64,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":216,
    },
    "0x136":{
       "id":"0x136",
       "vanillaArea":"Bottle Grotto",
       "vanillaName":"Entrance Chest",
       "locations":[
          {
             "map":"d2",
             "x":176,
             "y":800
          },
          {
             "map":"vanillaOverworld",
             "x":696,
             "y":276
          }
       ],
       "index":215,
    },
    "0x102":{
       "id":"0x102",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Full Moon Cello",
       "locations":[
          {
             "map":"d1",
             "x":1032,
             "y":32
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":246,
       "linkedItem": "INSTRUMENT1",
       "vanillaLink": "true",
    },
    "0x106":{
       "id":"0x106",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Moldorm Heart Container",
       "locations":[
        {
            "map": "d1",
            "x": 1032,
            "y": 200
        },
        {
            "map":"vanillaOverworld",
            "x":582,
            "y":1706
        }
       ],
       "index":245,
    },
    "0x10A-Owl":{
       "id":"0x10A-Owl",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Three of a Kind Owl",
       "locations":[
          {
             "map":"d1",
             "x":880,
             "y":256
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":244,
    },
    "0x10A":{
       "id":"0x10A",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Three of a Kind Chest",
       "locations":[
          {
             "map":"d1",
             "x":928,
             "y":288
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":243,
    },
    "0x108":{
       "id":"0x108",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Nightmare Key Chest",
       "locations":[
          {
             "map":"d1",
             "x":544,
             "y":272
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":242,
    },
    "0x11D":{
       "id":"0x11D",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Feather Chest",
       "locations":[
          {
             "map":"d1",
             "x":64,
             "y":288
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":241,
    },
    "0x104-Owl":{
       "id":"0x104-Owl",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Movable Block Owl",
       "locations":[
          {
             "map":"d1",
             "x":368,
             "y":128
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":239,
    },
    "0x103-Owl":{
       "id":"0x103-Owl",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Spiked Beetle Owl",
       "locations":[
          {
             "map":"d1",
             "x":240,
             "y":128
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":240,
    },
    "0x10C":{
       "id":"0x10C",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Bombable Wall Seashell Chest",
       "locations":[
          {
             "map":"d1",
             "x":224,
             "y":432
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":238,
    },
    "0x114":{
       "id":"0x114",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Two Stalfos, Two Keese Chest",
       "locations":[
          {
             "map":"d1",
             "x":768,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":235,
    },
    "0x10D":{
       "id":"0x10D",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Mini-Moldorm Spawn Chest",
       "locations":[
          {
             "map":"d1",
             "x":448,
             "y":416
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":237,
    },
    "0x116":{
       "id":"0x116",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Hardhat Beetles Key",
       "locations":[
          {
             "map":"d1",
             "x":352,
             "y":688
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":232,
    },
    "0x10E":{
       "id":"0x10E",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Spark, Mini-Moldorm Chest",
       "locations":[
          {
             "map":"d1",
             "x":544,
             "y":416
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":236,
    },
    "0x115":{
       "id":"0x115",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Four Zol Chest",
       "locations":[
          {
             "map":"d1",
             "x":208,
             "y":688
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":233,
    },
    "0x113":{
       "id":"0x113",
       "vanillaArea":"Tail Cave",
       "vanillaName":"Pit Button Chest",
       "locations":[
          {
             "map":"d1",
             "x":608,
             "y":544
          },
          {
             "map":"vanillaOverworld",
             "x":582,
             "y":1706
          }
       ],
       "index":234,
    },
    "0x2A1-2":{
       "id":"0x2A1-2",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Shop 10 Item",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":550,
             "y":1250
          }
       ],
       "index":247,
       "requiredRupees": 10,
    },
    "0x2A1-1":{
       "id":"0x2A1-1",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Shop 980 Item",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":550,
             "y":1250
          },
          {
              "map": "underworld",
              "x": 510,
              "y": 1202
          }
       ],
       "index":248,
       "requiredRupees": 980,
    },
    "0x2A1-0":{
       "id":"0x2A1-0",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Shop 200 Item",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":550,
             "y":1250
          },
          {
              "map": "underworld",
              "x": 510,
              "y": 1202
          }
       ],
       "index":249,
       "requiredRupees": 200,
    },
    "0x2A2":{
       "id":"0x2A2",
       "vanillaArea":"Koholint Prairie",
       "vanillaName":"Witch Item",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":874,
             "y":812
          },
          {
              "map": "underworld",
              "x": 874,
              "y": 844
          }
       ],
       "linkedItem": "TOADSTOOL_CHECKED",
       "index":250,
    },
    "0x2A22":{
       "id":"0x2A22",
       "vanillaArea":"Koholint Prairie",
       "vanillaName":"Witch Powder",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":874,
             "y":812
          },
          {
              "map": "underworld",
              "x": 842,
              "y": 828
          },
          {
              "map": "underworld",
              "x": 922,
              "y": 828
          }
       ],
       "index": 250,
       "vanilla": true,
       "vanillaItem": 'MAGIC_POWDER',
    },
    "0x301-1":{
       "id":"0x301-1",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Tunic Fairy Item 2",
       "locations":[
          {
             "map":"d0",
             "x":232,
             "y":64
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":12,
       "linkedItem": "GREAT_FAIRY",
    },
    "0x301-0":{
       "id":"0x301-0",
       "vanillaArea":"Color Dungeon",
       "vanillaName":"Tunic Fairy Item 1",
       "locations":[
          {
             "map":"d0",
             "x":232,
             "y":64
          },
          {
             "map":"vanillaOverworld",
             "x":1246,
             "y":926
          }
       ],
       "index":11,
       "linkedItem": "GREAT_FAIRY",
    },
    "0x2A3":{
       "id":"0x2A3",
       "vanillaArea":"Mabe Village",
       "vanillaName":"Tarin's Gift",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":404,
             "y":1364
          },
          {
              "map": "underworld",
              "x": 436,
              "y": 1364
          }
       ],
       "index":253,
    },
    "0x1F5":{
       "id":"0x1F5",
       "vanillaArea":"Toronbo Shores",
       "vanillaName":"Boomerang Guy Item",
       "locations":[
          {
             "map":"vanillaOverworld",
             "x":664,
             "y":1966
          },
          {
              "map": "underworld",
              "x": 720,
              "y": 1966
          }
       ],
       "index":254,
    },
    "0x025":{
       "id":"0x025",
       "area":"Death Mountain",
       "name":"Outside Five Chest Game",
       "locations":[
          {
             "map":"overworld",
             "x":853,
             "y":290
          },
       ],
       "index":26,
    },
    "0x04A":{
       "id":"0x04A",
       "area":"Somewhere",
       "name":"Seashell",
       "locations":[
          {
             "map":"overworld",
             "x":0,
             "y":0
          },
       ],
    },
    "0x0C7":{
       "id":"0xC7",
       "area":"Somewhere",
       "name":"Seashell",
       "locations":[
          {
             "map":"overworld",
             "x":0,
             "y":0
          },
       ],
    },
    "0x0B0":{
       "id":"0x0B0",
       "area":"Somewhere",
       "name":"Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":0,
             "y":0
          },
       ],
    },
    "0x0D4":{
       "id":"0x0D4",
       "area":"Somewhere",
       "name":"Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":0,
             "y":0
          },
       ],
    },
    "0x011":{
       "id":"0x011",
       "area":"Somewhere",
       "name":"Toadstool",
       "locations":[
          {
             "map":"overworld",
             "x":0,
             "y":0
          },
       ],
    },
    "0x0BF":{
       "id":"0x0BF",
       "area":"Somewhere",
       "name":"Seashell",
       "locations":[
          {
             "map":"overworld",
             "x":0,
             "y":0
          },
       ],
    },
    "0x0E0":{
       "id":"0x0E0",
       "area":"Turtle Rock",
       "name":"Desert Shelf",
       "locations":[
          {
             "map":"overworld",
             "x":64,
             "y":1852
          },
       ],
    },
    "egg":{
       "id":"egg",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Nightmare",
       "locations":[
          {
             "map": "vanillaOverworld",
             "x": 1052,
             "y": 48
          },
       ],
    },
    "0x0D3":{
       "id":"0x0D3",
       "vanillaArea":"Toronbo Shores",
       "vanillaName":"Tail Cave Keyhole",
       "locations":[
         {
            "map": "vanillaOverworld",
            "x": 582,
            "y": 1770,
            "condition": (flags, settings) => { return flags.keyholesanity; },
         },
       ],
    },
    "0x0B5":{
       "id":"0x0B5",
       "vanillaArea":"Ukuku Prairie",
       "vanillaName":"Key Cavern Keyhole",
       "locations":[
         {
            "map": "vanillaOverworld",
            "x": 906,
            "y": 1510,
            "condition": (flags, settings) => { return flags.keyholesanity; },
         },
       ],
    },
    "0x2C3":{
       "id":"0x2C3",
       "vanillaArea":"Kanalet Castle",
       "vanillaName":"Kanalet Gate Button",
       "locations":[
         {
            "map": "vanillaOverworld",
            "x": 1538,
            "y": 828,
            "condition": (flags, settings) => { return flags.keyholesanity; },
         },
         {
            "map": "underworld",
            "x": 1748,
            "y": 876,
            "condition": (flags, settings) => { return flags.keyholesanity; },
         },
       ],
    },
    "0x08C":{
       "id":"0x08C",
       "vanillaArea":"Southern Face Shrine",
       "vanillaName":"Face Shrine Keyhole",
       "locations":[
         {
            "map": "vanillaOverworld",
            "x": 2056,
            "y": 1072,
            "condition": (flags, settings) => { return flags.keyholesanity; },
         },
       ],
    },
    "0x02B":{
       "id":"0x02B",
       "vanillaArea":"Tal Tal Heights",
       "vanillaName":"Angler's Tunnel Keyhole",
       "locations":[
         {
            "map": "vanillaOverworld",
            "x": 1846,
            "y": 340,
            "condition": (flags, settings) => { return flags.keyholesanity; },
         },
       ],
    },
    "0x00E":{
       "id":"0x00E",
       "vanillaArea":"Tal Tal Mountains",
       "vanillaName":"Eagle's Tower Keyhole",
       "locations":[
         {
            "map": "vanillaOverworld",
            "x": 2284,
            "y": 64,
            "condition": (flags, settings) => { return flags.keyholesanity; },
         },
       ],
    },
}

let coordDict = vanillaCoordDict;
let linkedChecks = {};

Object.values(coordDict).map((x) => {
  if (x.linkedItem) {
    if (!linkedChecks[x.linkedItem]) {
      linkedChecks[x.linkedItem] = [];
    }

    linkedChecks[x.linkedItem].push(x);
  }

  x.area = x.vanillaArea;
  x.name = x.vanillaName;
  x.locations
    .filter((y) => y.map == "vanillaOverworld")
    .map((z) => {
      let condition = null;

      if ("condition" in z) {
         condition = z.condition;
         z.condition = null;
      }

      let clone = structuredClone(z);
      clone.map = "overworld";

      if (condition) {
         clone.condition = condition;
         z.condition = condition;
      }

      x.locations.push(clone);
    });
});