"use strict"

var roomDict = {
    '0x117': {
        map: 'd1',
        x: 3,
        y: 5,
        entrances: ['d1'],
    },
    '0x116': {
        map: 'd1',
        x: 2,
        y: 5,
        entrances: ['d1'],
    },
    '0x115': {
        map: 'd1',
        x: 1,
        y: 5,
        entrances: ['d1'],
    },
    '0x113': {
        map: 'd1',
        x: 3,
        y: 4,
        entrances: ['d1'],
    },
    '0x112': {
        map: 'd1',
        x: 2,
        y: 4,
        entrances: ['d1'],
    },
    '0x114': {
        map: 'd1',
        x: 4,
        y: 4,
        entrances: ['d1'],
    },
    '0x101': {
        map: 'd1',
        x: 0,
        y: 4,
        entrances: ['d1'],
    },
    '0x11C': {
        map: 'd1',
        x: 0,
        y: 3,
        entrances: ['d1'],
    },
    '0x11D': {
        map: 'd1',
        x: 0,
        y: 2,
        entrances: ['d1'],
    },
    '0x10C': {
        map: 'd1',
        x: 1,
        y: 3,
        entrances: ['d1'],
    },
    '0x10D': {
        map: 'd1',
        x: 2,
        y: 3,
        entrances: ['d1'],
    },
    '0x10E': {
        map: 'd1',
        x: 3,
        y: 3,
        entrances: ['d1'],
    },
    '0x10F': {
        map: 'd1',
        x: 4,
        y: 3,
        entrances: ['d1'],
    },
    '0x110': {
        map: 'd1',
        x: 5,
        y: 3,
        entrances: ['d1'],
    },
    '0x111': {
        map: 'd1',
        x: 6,
        y: 3,
        entrances: ['d1'],
    },
    '0x10B': {
        map: 'd1',
        x: 6,
        y: 2,
        entrances: ['d1'],
    },
    '0x10A': {
        map: 'd1',
        x: 5,
        y: 2,
        entrances: ['d1'],
    },
    '0x109': {
        map: 'd1',
        x: 4,
        y: 2,
        entrances: ['d1'],
    },
    '0x108': {
        map: 'd1',
        x: 3,
        y: 2,
        entrances: ['d1'],
    },
    '0x107': {
        map: 'd1',
        x: 2,
        y: 2,
        entrances: ['d1'],
    },
    '0x104': {
        map: 'd1',
        x: 2,
        y: 1,
        entrances: ['d1'],
    },
    '0x103': {
        map: 'd1',
        x: 1,
        y: 1,
        entrances: ['d1'],
    },
    '0x105': {
        map: 'd1',
        x: 3,
        y: 1,
        entrances: ['d1'],
    },
    '0x106': {
        map: 'd1',
        x: 6,
        y: 1,
        entrances: ['d1'],
    },
    '0x102': {
        map: 'd1',
        x: 6,
        y: 0,
        entrances: ['d1'],
    },
    '0x136': {
        map: 'd2',
        x: 1,
        y: 6,
        entrances: ['d2'],
    },
    '0x137': {
        map: 'd2',
        x: 2,
        y: 6,
        entrances: ['d2'],
    },
    '0x138': {
        map: 'd2',
        x: 3,
        y: 6,
        entrances: ['d2'],
    },
    '0x139': {
        map: 'd2',
        x: 4,
        y: 6,
        entrances: ['d2'],
    },
    '0x135': {
        map: 'd2',
        x: 5,
        y: 5,
        entrances: ['d2'],
    },
    '0x134': {
        map: 'd2',
        x: 4,
        y: 5,
        entrances: ['d2'],
    },
    '0x133': {
        map: 'd2',
        x: 3,
        y: 5,
        entrances: ['d2'],
    },
    '0x132': {
        map: 'd2',
        x: 2,
        y: 5,
        entrances: ['d2'],
    },
    '0x131': {
        map: 'd2',
        x: 1,
        y: 5,
        entrances: ['d2'],
    },
    '0x130': {
        map: 'd2',
        x: 0,
        y: 5,
        entrances: ['d2'],
    },
    '0x12E': {
        map: 'd2',
        x: 0,
        y: 4,
        entrances: ['d2'],
    },
    '0x12F': {
        map: 'd2',
        x: 5,
        y: 4,
        entrances: ['d2'],
    },
    '0x12D': {
        map: 'd2',
        x: 5,
        y: 3,
        entrances: ['d2'],
    },
    '0x12C': {
        map: 'd2',
        x: 0,
        y: 3,
        entrances: ['d2'],
    },
    '0x128': {
        map: 'd2',
        x: 0,
        y: 2,
        entrances: ['d2'],
    },
    '0x129': {
        map: 'd2',
        x: 1,
        y: 2,
        entrances: ['d2'],
    },
    '0x12A': {
        map: 'd2',
        x: 4,
        y: 2,
        entrances: ['d2'],
    },
    '0x12BF': {
        map: 'd2',
        x: 5,
        y: 2,
        entrances: ['d2'],
    },
    '0x127': {
        map: 'd2',
        x: 4,
        y: 1,
        entrances: ['d2'],
    },
    '0x126': {
        map: 'd2',
        x: 1,
        y: 1,
        entrances: ['d2'],
    },
    '0x120': {
        map: 'd2',
        x: 0,
        y: 0,
        entrances: ['d2'],
    },
    '0x121': {
        map: 'd2',
        x: 1,
        y: 0,
        entrances: ['d2'],
    },
    '0x122': {
        map: 'd2',
        x: 2,
        y: 0,
        entrances: ['d2'],
    },
    '0x123': {
        map: 'd2',
        x: 3,
        y: 0,
        entrances: ['d2'],
    },
    '0x124': {
        map: 'd2',
        x: 4,
        y: 0,
        entrances: ['d2'],
    },
    '0x125': {
        map: 'd2',
        x: 5,
        y: 0,
        entrances: ['d2'],
    },
    '0x152': {
        map: 'd3',
        x: 1,
        y: 7,
        entrances: ['d3'],
    },
    '0x153': {
        map: 'd3',
        x: 2,
        y: 7,
        entrances: ['d3'],
    },
    '0x15B': {
        map: 'd3',
        x: 5,
        y: 7,
        entrances: ['d3'],
    },
    '0x15C': {
        map: 'd3',
        x: 6,
        y: 7,
        entrances: ['d3'],
    },
    '0x15A': {
        map: 'd3',
        x: 5,
        y: 6,
        entrances: ['d3'],
    },
    '0x151': {
        map: 'd3',
        x: 1,
        y: 6,
        entrances: ['d3'],
    },
    '0x14F': {
        map: 'd3',
        x: 1,
        y: 5,
        entrances: ['d3'],
    },
    '0x150': {
        map: 'd3',
        x: 2,
        y: 5,
        entrances: ['d3'],
    },
    '0x159': {
        map: 'd3',
        x: 5,
        y: 5,
        entrances: ['d3'],
    },
    '0x158': {
        map: 'd3',
        x: 5,
        y: 4,
        entrances: ['d3'],
    },
    '0x14E': {
        map: 'd3',
        x: 1,
        y: 4,
        entrances: ['d3'],
    },
    '0x14C': {
        map: 'd3',
        x: 1,
        y: 3,
        entrances: ['d3'],
    },
    '0x14D': {
        map: 'd3',
        x: 2,
        y: 3,
        entrances: ['d3'],
    },
    '0x155': {
        map: 'd3',
        x: 4,
        y: 3,
        entrances: ['d3'],
    },
    '0x156': {
        map: 'd3',
        x: 5,
        y: 3,
        entrances: ['d3'],
    },
    '0x157': {
        map: 'd3',
        x: 6,
        y: 3,
        entrances: ['d3'],
    },
    '0x154': {
        map: 'd3',
        x: 5,
        y: 2,
        entrances: ['d3'],
    },
    '0x14B': {
        map: 'd3',
        x: 3,
        y: 2,
        entrances: ['d3'],
    },
    '0x14A': {
        map: 'd3',
        x: 2,
        y: 2,
        entrances: ['d3'],
    },
    '0x149': {
        map: 'd3',
        x: 1,
        y: 2,
        entrances: ['d3'],
    },
    '0x148': {
        map: 'd3',
        x: 0,
        y: 2,
        entrances: ['d3'],
    },
    '0x144': {
        map: 'd3',
        x: 0,
        y: 1,
        entrances: ['d3'],
    },
    '0x145': {
        map: 'd3',
        x: 1,
        y: 1,
        entrances: ['d3'],
    },
    '0x146': {
        map: 'd3',
        x: 2,
        y: 1,
        entrances: ['d3'],
    },
    '0x147': {
        map: 'd3',
        x: 3,
        y: 1,
        entrances: ['d3'],
    },
    '0x143': {
        map: 'd3',
        x: 3,
        y: 0,
        entrances: ['d3'],
    },
    '0x142': {
        map: 'd3',
        x: 2,
        y: 0,
        entrances: ['d3'],
    },
    '0x141': {
        map: 'd3',
        x: 1,
        y: 0,
        entrances: ['d3'],
    },
    '0x140': {
        map: 'd3',
        x: 0,
        y: 0,
        entrances: ['d3'],
    },
    '0x17A': {
        map: 'd4',
        x: 2,
        y: 6,
        entrances: ['d4'],
    },
    '0x17B': {
        map: 'd4',
        x: 3,
        y: 6,
        entrances: ['d4'],
    },
    '0x178': {
        map: 'd4',
        x: 3,
        y: 5,
        entrances: ['d4'],
    },
    '0x179': {
        map: 'd4',
        x: 4,
        y: 5,
        entrances: ['d4'],
    },
    '0x177': {
        map: 'd4',
        x: 2,
        y: 5,
        entrances: ['d4'],
    },
    '0x176': {
        map: 'd4',
        x: 1,
        y: 5,
        entrances: ['d4'],
    },
    '0x172': {
        map: 'd4',
        x: 1,
        y: 4,
        entrances: ['d4'],
    },
    '0x173': {
        map: 'd4',
        x: 2,
        y: 4,
        entrances: ['d4'],
    },
    '0x174': {
        map: 'd4',
        x: 3,
        y: 4,
        entrances: ['d4'],
    },
    '0x175': {
        map: 'd4',
        x: 4,
        y: 4,
        entrances: ['d4'],
    },
    '0x170': {
        map: 'd4',
        x: 4,
        y: 3,
        entrances: ['d4'],
    },
    '0x171': {
        map: 'd4',
        x: 5,
        y: 3,
        entrances: ['d4'],
    },
    '0x16F': {
        map: 'd4',
        x: 3,
        y: 3,
        entrances: ['d4'],
    },
    '0x16E': {
        map: 'd4',
        x: 2,
        y: 3,
        entrances: ['d4'],
    },
    '0x16D': {
        map: 'd4',
        x: 1,
        y: 3,
        entrances: ['d4'],
    },
    '0x16C': {
        map: 'd4',
        x: 0,
        y: 3,
        entrances: ['d4'],
    },
    '0x166': {
        map: 'd4',
        x: 0,
        y: 2,
        entrances: ['d4'],
    },
    '0x167': {
        map: 'd4',
        x: 1,
        y: 2,
        entrances: ['d4'],
    },
    '0x168': {
        map: 'd4',
        x: 2,
        y: 2,
        entrances: ['d4'],
    },
    '0x169': {
        map: 'd4',
        x: 3,
        y: 2,
        entrances: ['d4'],
    },
    '0x16A': {
        map: 'd4',
        x: 4,
        y: 2,
        entrances: ['d4'],
    },
    '0x16B': {
        map: 'd4',
        x: 5,
        y: 2,
        entrances: ['d4'],
    },
    '0x165': {
        map: 'd4',
        x: 5,
        y: 1,
        entrances: ['d4'],
    },
    '0x164': {
        map: 'd4',
        x: 3,
        y: 1,
        entrances: ['d4'],
    },
    '0x163': {
        map: 'd4',
        x: 2,
        y: 1,
        entrances: ['d4'],
    },
    '0x162': {
        map: 'd4',
        x: 0,
        y: 1,
        entrances: ['d4'],
    },
    '0x160': {
        map: 'd4',
        x: 2,
        y: 0,
        entrances: ['d4'],
    },
    '0x161': {
        map: 'd4',
        x: 3,
        y: 0,
        entrances: ['d4'],
    },
    '0x1A1': {
        map: 'd5',
        x: 6,
        y: 7,
        entrances: ['d5'],
    },
    '0x1A0': {
        map: 'd5',
        x: 5,
        y: 7,
        entrances: ['d5'],
    },
    '0x19F': {
        map: 'd5',
        x: 4,
        y: 7,
        entrances: ['d5'],
    },
    '0x19E': {
        map: 'd5',
        x: 3,
        y: 7,
        entrances: ['d5'],
    },
    '0x19C': {
        map: 'd5',
        x: 3,
        y: 6,
        entrances: ['d5'],
    },
    '0x19B': {
        map: 'd5',
        x: 2,
        y: 6,
        entrances: ['d5'],
    },
    '0x19D': {
        map: 'd5',
        x: 4,
        y: 6,
        entrances: ['d5'],
    },
    '0x19A': {
        map: 'd5',
        x: 4,
        y: 5,
        entrances: ['d5'],
    },
    '0x199': {
        map: 'd5',
        x: 3,
        y: 5,
        entrances: ['d5'],
    },
    '0x198': {
        map: 'd5',
        x: 2,
        y: 5,
        entrances: ['d5'],
    },
    '0x197': {
        map: 'd5',
        x: 1,
        y: 5,
        entrances: ['d5'],
    },
    '0x193': {
        map: 'd5',
        x: 2,
        y: 4,
        entrances: ['d5'],
    },
    '0x194': {
        map: 'd5',
        x: 3,
        y: 4,
        entrances: ['d5'],
    },
    '0x195': {
        map: 'd5',
        x: 4,
        y: 4,
        entrances: ['d5'],
    },
    '0x196': {
        map: 'd5',
        x: 5,
        y: 4,
        entrances: ['d5'],
    },
    '0x191': {
        map: 'd5',
        x: 5,
        y: 3,
        entrances: ['d5'],
    },
    '0x190': {
        map: 'd5',
        x: 4,
        y: 3,
        entrances: ['d5'],
    },
    '0x192': {
        map: 'd5',
        x: 6,
        y: 3,
        entrances: ['d5'],
    },
    '0x18F': {
        map: 'd5',
        x: 6,
        y: 2,
        entrances: ['d5'],
    },
    '0x18E': {
        map: 'd5',
        x: 5,
        y: 2,
        entrances: ['d5'],
    },
    '0x18D': {
        map: 'd5',
        x: 4,
        y: 2,
        entrances: ['d5'],
    },
    '0x18C': {
        map: 'd5',
        x: 3,
        y: 2,
        entrances: ['d5'],
    },
    '0x18B': {
        map: 'd5',
        x: 2,
        y: 2,
        entrances: ['d5'],
    },
    '0x18A': {
        map: 'd5',
        x: 1,
        y: 2,
        entrances: ['d5'],
    },
    '0x189': {
        map: 'd5',
        x: 0,
        y: 2,
        entrances: ['d5'],
    },
    '0x185': {
        map: 'd5',
        x: 2,
        y: 1,
        entrances: ['d5'],
    },
    '0x186': {
        map: 'd5',
        x: 3,
        y: 1,
        entrances: ['d5'],
    },
    '0x187': {
        map: 'd5',
        x: 4,
        y: 1,
        entrances: ['d5'],
    },
    '0x188': {
        map: 'd5',
        x: 5,
        y: 1,
        entrances: ['d5'],
    },
    '0x184': {
        map: 'd5',
        x: 4,
        y: 0,
        entrances: ['d5'],
    },
    '0x183': {
        map: 'd5',
        x: 3,
        y: 0,
        entrances: ['d5'],
    },
    '0x182': {
        map: 'd5',
        x: 2,
        y: 0,
        entrances: ['d5'],
    },
    '0x181': {
        map: 'd5',
        x: 1,
        y: 0,
        entrances: ['d5'],
    },
    '0x180': {
        map: 'd5',
        x: 0,
        y: 0,
        entrances: ['d5'],
    },
    '0x1D4': {
        map: 'd6',
        x: 3,
        y: 6,
        entrances: ['d6'],
    },
    '0x1D3': {
        map: 'd6',
        x: 2,
        y: 6,
        entrances: ['d6'],
    },
    '0x1D2': {
        map: 'd6',
        x: 1,
        y: 6,
        entrances: ['d6'],
    },
    '0x1D5': {
        map: 'd6',
        x: 4,
        y: 6,
        entrances: ['d6'],
    },
    '0x1D6': {
        map: 'd6',
        x: 5,
        y: 6,
        entrances: ['d6'],
    },
    '0x1D7': {
        map: 'd6',
        x: 6,
        y: 6,
        entrances: ['d6'],
    },
    '0x1D1': {
        map: 'd6',
        x: 6,
        y: 5,
        entrances: ['d6'],
    },
    '0x1D0': {
        map: 'd6',
        x: 5,
        y: 5,
        entrances: ['d6'],
    },
    '0x1CF': {
        map: 'd6',
        x: 2,
        y: 5,
        entrances: ['d6'],
    },
    '0x1CE': {
        map: 'd6',
        x: 1,
        y: 5,
        entrances: ['d6'],
    },
    '0x1C8': {
        map: 'd6',
        x: 1,
        y: 4,
        entrances: ['d6'],
    },
    '0x1C9': {
        map: 'd6',
        x: 2,
        y: 4,
        entrances: ['d6'],
    },
    '0x1CA': {
        map: 'd6',
        x: 3,
        y: 4,
        entrances: ['d6'],
    },
    '0x1CB': {
        map: 'd6',
        x: 4,
        y: 4,
        entrances: ['d6'],
    },
    '0x1CC': {
        map: 'd6',
        x: 5,
        y: 4,
        entrances: ['d6'],
    },
    '0x1CD': {
        map: 'd6',
        x: 6,
        y: 4,
        entrances: ['d6'],
    },
    '0x1C6': {
        map: 'd6',
        x: 6,
        y: 3,
        entrances: ['d6'],
    },
    '0x1C7': {
        map: 'd6',
        x: 7,
        y: 3,
        entrances: ['d6'],
    },
    '0x1C5': {
        map: 'd6',
        x: 5,
        y: 3,
        entrances: ['d6'],
    },
    '0x1C4': {
        map: 'd6',
        x: 4,
        y: 3,
        entrances: ['d6'],
    },
    '0x1C3': {
        map: 'd6',
        x: 3,
        y: 3,
        entrances: ['d6'],
    },
    '0x1C2': {
        map: 'd6',
        x: 2,
        y: 3,
        entrances: ['d6'],
    },
    '0x1C1': {
        map: 'd6',
        x: 1,
        y: 3,
        entrances: ['d6'],
    },
    '0x1C0': {
        map: 'd6',
        x: 0,
        y: 3,
        entrances: ['d6'],
    },
    '0x1B8': {
        map: 'd6',
        x: 0,
        y: 2,
        entrances: ['d6'],
    },
    '0x1B9': {
        map: 'd6',
        x: 1,
        y: 2,
        entrances: ['d6'],
    },
    '0x1BA': {
        map: 'd6',
        x: 2,
        y: 2,
        entrances: ['d6'],
    },
    '0x1BB': {
        map: 'd6',
        x: 3,
        y: 2,
        entrances: ['d6'],
    },
    '0x1BC': {
        map: 'd6',
        x: 4,
        y: 2,
        entrances: ['d6'],
    },
    '0x1BD': {
        map: 'd6',
        x: 5,
        y: 2,
        entrances: ['d6'],
    },
    '0x1BE': {
        map: 'd6',
        x: 6,
        y: 2,
        entrances: ['d6'],
    },
    '0x1BF': {
        map: 'd6',
        x: 7,
        y: 2,
        entrances: ['d6'],
    },
    '0x1B7': {
        map: 'd6',
        x: 7,
        y: 1,
        entrances: ['d6'],
    },
    '0x1B6': {
        map: 'd6',
        x: 6,
        y: 1,
        entrances: ['d6'],
    },
    '0x1B5': {
        map: 'd6',
        x: 4,
        y: 1,
        entrances: ['d6'],
    },
    '0x1B4': {
        map: 'd6',
        x: 3,
        y: 1,
        entrances: ['d6'],
    },
    '0x1B3': {
        map: 'd6',
        x: 1,
        y: 1,
        entrances: ['d6'],
    },
    '0x1B2': {
        map: 'd6',
        x: 0,
        y: 1,
        entrances: ['d6'],
    },
    '0x1B0': {
        map: 'd6',
        x: 0,
        y: 0,
        entrances: ['d6'],
    },
    '0x1B1': {
        map: 'd6',
        x: 7,
        y: 0,
        entrances: ['d6'],
    },
    '0x20E': {
        map: 'd7',
        x: 1,
        y: 7,
        entrances: ['d7'],
    },
    '0x20D': {
        map: 'd7',
        x: 0,
        y: 7,
        entrances: ['d7'],
    },
    '0x20F': {
        map: 'd7',
        x: 2,
        y: 7,
        entrances: ['d7'],
    },
    '0x210': {
        map: 'd7',
        x: 3,
        y: 7,
        entrances: ['d7'],
    },
    '0x229': {
        map: 'd7',
        x: 5,
        y: 7,
        entrances: ['d7'],
    },
    '0x22A': {
        map: 'd7',
        x: 6,
        y: 7,
        entrances: ['d7'],
    },
    '0x228': {
        map: 'd7',
        x: 7,
        y: 6,
        entrances: ['d7'],
    },
    '0x227': {
        map: 'd7',
        x: 6,
        y: 6,
        entrances: ['d7'],
    },
    '0x226': {
        map: 'd7',
        x: 5,
        y: 6,
        entrances: ['d7'],
    },
    '0x225': {
        map: 'd7',
        x: 4,
        y: 6,
        entrances: ['d7'],
    },
    '0x20C': {
        map: 'd7',
        x: 3,
        y: 6,
        entrances: ['d7'],
    },
    '0x20B': {
        map: 'd7',
        x: 2,
        y: 6,
        entrances: ['d7'],
    },
    '0x20A': {
        map: 'd7',
        x: 1,
        y: 6,
        entrances: ['d7'],
    },
    '0x209': {
        map: 'd7',
        x: 0,
        y: 6,
        entrances: ['d7'],
    },
    '0x205': {
        map: 'd7',
        x: 0,
        y: 5,
        entrances: ['d7'],
    },
    '0x206': {
        map: 'd7',
        x: 1,
        y: 5,
        entrances: ['d7'],
    },
    '0x207': {
        map: 'd7',
        x: 2,
        y: 5,
        entrances: ['d7'],
    },
    '0x208': {
        map: 'd7',
        x: 3,
        y: 5,
        entrances: ['d7'],
    },
    '0x221': {
        map: 'd7',
        x: 4,
        y: 5,
        entrances: ['d7'],
    },
    '0x224': {
        map: 'd7',
        x: 7,
        y: 5,
        entrances: ['d7'],
    },
    '0x220': {
        map: 'd7',
        x: 6,
        y: 0,
        entrances: ['d7'],
    },
    '0x21F': {
        map: 'd7',
        x: 5,
        y: 0,
        entrances: ['d7'],
    },
    '0x204': {
        map: 'd7',
        x: 3,
        y: 4,
        entrances: ['d7'],
    },
    '0x203': {
        map: 'd7',
        x: 2,
        y: 4,
        entrances: ['d7'],
    },
    '0x202': {
        map: 'd7',
        x: 1,
        y: 4,
        entrances: ['d7'],
    },
    '0x201': {
        map: 'd7',
        x: 0,
        y: 4,
        entrances: ['d7'],
    },
    '0x21B': {
        map: 'd7',
        x: 0,
        y: 3,
        entrances: ['d7'],
    },
    '0x21C': {
        map: 'd7',
        x: 1,
        y: 3,
        entrances: ['d7'],
    },
    '0x21D': {
        map: 'd7',
        x: 2,
        y: 3,
        entrances: ['d7'],
    },
    '0x21E': {
        map: 'd7',
        x: 3,
        y: 3,
        entrances: ['d7'],
    },
    '0x21A': {
        map: 'd7',
        x: 3,
        y: 2,
        entrances: ['d7'],
    },
    '0x219': {
        map: 'd7',
        x: 2,
        y: 2,
        entrances: ['d7'],
    },
    '0x218': {
        map: 'd7',
        x: 1,
        y: 2,
        entrances: ['d7'],
    },
    '0x217': {
        map: 'd7',
        x: 0,
        y: 2,
        entrances: ['d7'],
    },
    '0x22D': {
        map: 'd7',
        x: 5,
        y: 2,
        entrances: ['d7'],
    },
    '0x22E': {
        map: 'd7',
        x: 6,
        y: 2,
        entrances: ['d7'],
    },
    '0x22C': {
        map: 'd7',
        x: 6,
        y: 1,
        entrances: ['d7'],
    },
    '0x22B': {
        map: 'd7',
        x: 5,
        y: 1,
        entrances: ['d7'],
    },
    '0x216': {
        map: 'd7',
        x: 3,
        y: 1,
        entrances: ['d7'],
    },
    '0x215': {
        map: 'd7',
        x: 2,
        y: 1,
        entrances: ['d7'],
    },
    '0x214': {
        map: 'd7',
        x: 1,
        y: 1,
        entrances: ['d7'],
    },
    '0x213': {
        map: 'd7',
        x: 0,
        y: 1,
        entrances: ['d7'],
    },
    '0x211': {
        map: 'd7',
        x: 1,
        y: 0,
        entrances: ['d7'],
    },
    '0x212': {
        map: 'd7',
        x: 2,
        y: 0,
        entrances: ['d7'],
    },
    '0x25C': {
        map: 'd8',
        x: 0,
        y: 7,
        entrances: ['d8'],
    },
    '0x25D': {
        map: 'd8',
        x: 3,
        y: 7,
        entrances: ['d8'],
    },
    '0x25E': {
        map: 'd8',
        x: 4,
        y: 7,
        entrances: ['d8'],
    },
    '0x25F': {
        map: 'd8',
        x: 7,
        y: 7,
        entrances: ['d8'],
    },
    '0x25B': {
        map: 'd8',
        x: 7,
        y: 6,
        entrances: ['d8'],
    },
    '0x25A': {
        map: 'd8',
        x: 6,
        y: 6,
        entrances: ['d8'],
    },
    '0x259': {
        map: 'd8',
        x: 5,
        y: 6,
        entrances: ['d8'],
    },
    '0x258': {
        map: 'd8',
        x: 4,
        y: 6,
        entrances: ['d8'],
    },
    '0x257': {
        map: 'd8',
        x: 3,
        y: 6,
        entrances: ['d8'],
    },
    '0x256': {
        map: 'd8',
        x: 2,
        y: 6,
        entrances: ['d8'],
    },
    '0x255': {
        map: 'd8',
        x: 1,
        y: 6,
        entrances: ['d8'],
    },
    '0x254': {
        map: 'd8',
        x: 0,
        y: 6,
        entrances: ['d8'],
    },
    '0x24C': {
        map: 'd8',
        x: 0,
        y: 5,
        entrances: ['d8'],
    },
    '0x24D': {
        map: 'd8',
        x: 1,
        y: 5,
        entrances: ['d8'],
    },
    '0x24E': {
        map: 'd8',
        x: 2,
        y: 5,
        entrances: ['d8'],
    },
    '0x24F': {
        map: 'd8',
        x: 3,
        y: 5,
        entrances: ['d8'],
    },
    '0x250': {
        map: 'd8',
        x: 4,
        y: 5,
        entrances: ['d8'],
    },
    '0x251': {
        map: 'd8',
        x: 5,
        y: 5,
        entrances: ['d8'],
    },
    '0x252': {
        map: 'd8',
        x: 6,
        y: 5,
        entrances: ['d8'],
    },
    '0x253': {
        map: 'd8',
        x: 7,
        y: 5,
        entrances: ['d8'],
    },
    '0x24B': {
        map: 'd8',
        x: 6,
        y: 4,
        entrances: ['d8'],
    },
    '0x24A': {
        map: 'd8',
        x: 5,
        y: 4,
        entrances: ['d8'],
    },
    '0x249': {
        map: 'd8',
        x: 4,
        y: 4,
        entrances: ['d8'],
    },
    '0x248': {
        map: 'd8',
        x: 3,
        y: 4,
        entrances: ['d8'],
    },
    '0x247': {
        map: 'd8',
        x: 2,
        y: 4,
        entrances: ['d8'],
    },
    '0x246': {
        map: 'd8',
        x: 1,
        y: 4,
        entrances: ['d8'],
    },
    '0x240': {
        map: 'd8',
        x: 1,
        y: 3,
        entrances: ['d8'],
    },
    '0x241': {
        map: 'd8',
        x: 2,
        y: 3,
        entrances: ['d8'],
    },
    '0x242': {
        map: 'd8',
        x: 3,
        y: 3,
        entrances: ['d8'],
    },
    '0x243': {
        map: 'd8',
        x: 4,
        y: 3,
        entrances: ['d8'],
    },
    '0x244': {
        map: 'd8',
        x: 5,
        y: 3,
        entrances: ['d8'],
    },
    '0x245': {
        map: 'd8',
        x: 6,
        y: 3,
        entrances: ['d8'],
    },
    '0x23F': {
        map: 'd8',
        x: 7,
        y: 2,
        entrances: ['d8'],
    },
    '0x23E': {
        map: 'd8',
        x: 6,
        y: 2,
        entrances: ['d8'],
    },
    '0x23D': {
        map: 'd8',
        x: 5,
        y: 2,
        entrances: ['d8'],
    },
    '0x23C': {
        map: 'd8',
        x: 4,
        y: 2,
        entrances: ['d8'],
    },
    '0x23B': {
        map: 'd8',
        x: 3,
        y: 2,
        entrances: ['d8'],
    },
    '0x23A': {
        map: 'd8',
        x: 2,
        y: 2,
        entrances: ['d8'],
    },
    '0x239': {
        map: 'd8',
        x: 1,
        y: 2,
        entrances: ['d8'],
    },
    '0x238': {
        map: 'd8',
        x: 0,
        y: 2,
        entrances: ['d8'],
    },
    '0x232': {
        map: 'd8',
        x: 0,
        y: 1,
        entrances: ['d8'],
    },
    '0x234': {
        map: 'd8',
        x: 3,
        y: 1,
        entrances: ['d8'],
    },
    '0x235': {
        map: 'd8',
        x: 4,
        y: 1,
        entrances: ['d8'],
    },
    '0x237': {
        map: 'd8',
        x: 7,
        y: 1,
        entrances: ['d8'],
    },
    '0x231': {
        map: 'd8',
        x: 4,
        y: 0,
        entrances: ['d8'],
    },
    '0x230': {
        map: 'd8',
        x: 3,
        y: 0,
        entrances: ['d8'],
    },
    '0x312': {
        map: 'd0',
        x: 1,
        y: 4,
        entrances: ['d0'],
    },
    '0x313': {
        map: 'd0',
        x: 2,
        y: 4,
        entrances: ['d0'],
    },
    '0x314': {
        map: 'd0',
        x: 3,
        y: 4,
        entrances: ['d0'],
    },
    '0x315': {
        map: 'd0',
        x: 4,
        y: 4,
        entrances: ['d0'],
    },
    '0x311': {
        map: 'd0',
        x: 4,
        y: 3,
        entrances: ['d0'],
    },
    '0x310': {
        map: 'd0',
        x: 3,
        y: 3,
        entrances: ['d0'],
    },
    '0x30F': {
        map: 'd0',
        x: 2,
        y: 3,
        entrances: ['d0'],
    },
    '0x30E': {
        map: 'd0',
        x: 1,
        y: 3,
        entrances: ['d0'],
    },
    '0x30A': {
        map: 'd0',
        x: 1,
        y: 2,
        entrances: ['d0'],
    },
    '0x30B': {
        map: 'd0',
        x: 2,
        y: 2,
        entrances: ['d0'],
    },
    '0x30C': {
        map: 'd0',
        x: 3,
        y: 2,
        entrances: ['d0'],
    },
    '0x30D': {
        map: 'd0',
        x: 4,
        y: 2,
        entrances: ['d0'],
    },
    '0x309': {
        map: 'd0',
        x: 5,
        y: 1,
        entrances: ['d0'],
    },
    '0x308': {
        map: 'd0',
        x: 4,
        y: 1,
        entrances: ['d0'],
    },
    '0x307': {
        map: 'd0',
        x: 3,
        y: 1,
        entrances: ['d0'],
    },
    '0x306': {
        map: 'd0',
        x: 2,
        y: 1,
        entrances: ['d0'],
    },
    '0x305': {
        map: 'd0',
        x: 1,
        y: 1,
        entrances: ['d0'],
    },
    '0x304': {
        map: 'd0',
        x: 0,
        y: 1,
        entrances: ['d0'],
    },
    '0x300': {
        map: 'd0',
        x: 0,
        y: 0,
        entrances: ['d0'],
    },
    '0x301': {
        map: 'd0',
        x: 1,
        y: 0,
        entrances: ['d0'],
    },
    '0x302': {
        map: 'd0',
        x: 4,
        y: 0,
        entrances: ['d0'],
    },
    '0x303': {
        map: 'd0',
        x: 5,
        y: 0,
        entrances: ['d0'],
    },
    '0x299': {
        map: 'underworld',
        x: 1,
        y: 1,
        entrances: ['phone_d8'],
    },
    '0x1EE': {
        map: 'underworld',
        x: 3,
        y: 0,
        entrances: ['fire_cave_exit', 'fire_cave_entrance'],
    },
    '0x1FE': {
        map: 'underworld',
        x: 3,
        y: 1,
        entrances: ['fire_cave_exit', 'fire_cave_entrance'],
    },
    '0x1E2': {
        map: 'underworld',
        x: 4,
        y: 1,
        entrances: ['madbatter_taltal'],
    },
    '0x2EA': {
        map: 'underworld',
        x: 4,
        y: 2,
        entrances: ['left_taltal_entrance', 'left_to_right_taltalentrance'],
    },
    '0x2EB': {
        map: 'underworld',
        x: 5,
        y: 2,
        entrances: ['left_taltal_entrance', 'left_to_right_taltalentrance'],
    },
    '0x2EC': {
        map: 'underworld',
        x: 6,
        y: 2,
        entrances: ['left_taltal_entrance', 'left_to_right_taltalentrance'],
    },
    '0x2ED': {
        map: 'underworld',
        x: 4,
        y: 0,
        entrances: ['left_taltal_entrance', 'left_to_right_taltalentrance'],
    },
    '0x2EE': {
        map: 'underworld',
        x: 5,
        y: 0,
        entrances: ['left_taltal_entrance', 'left_to_right_taltalentrance'],
    },
    '0x2EF': {
        map: 'underworld',
        x: 5,
        y: 1,
        entrances: ['left_taltal_entrance', 'left_to_right_taltalentrance'],
    },
    '0x2BA': {
        map: 'underworld',
        x: 6,
        y: 1,
        entrances: ['left_taltal_entrance', 'left_to_right_taltalentrance'],
    },
    '0x2B6': {
        map: 'underworld',
        x: 7,
        y: 2,
        entrances: ['obstacle_cave_entrance', 'obstacle_cave_outside_chest', 'obstacle_cave_exit'],
    },
    '0x2B7': {
        map: 'underworld',
        x: 8,
        y: 2,
        entrances: ['obstacle_cave_entrance', 'obstacle_cave_outside_chest', 'obstacle_cave_exit'],
    },
    '0x2BB': {
        map: 'underworld',
        x: 7,
        y: 1,
        entrances: ['obstacle_cave_entrance', 'obstacle_cave_outside_chest', 'obstacle_cave_exit'],
    },
    '0x2BC': {
        map: 'underworld',
        x: 8,
        y: 1,
        entrances: ['obstacle_cave_entrance', 'obstacle_cave_outside_chest', 'obstacle_cave_exit'],
    },
    '0x289': {
        map: 'underworld',
        x: 9,
        y: 3,
        entrances: ['papahl_entrance', 'papahl_exit'],
    },
    '0x288': {
        map: 'underworld',
        x: 9,
        y: 2,
        entrances: ['papahl_entrance', 'papahl_exit'],
    },
    '0x28B': {
        map: 'underworld',
        x: 9,
        y: 1,
        entrances: ['papahl_entrance', 'papahl_exit'],
    },
    '0x28A': {
        map: 'underworld',
        x: 9,
        y: 0,
        entrances: ['papahl_entrance', 'papahl_exit'],
    },
    '0x29F': {
        map: 'underworld',
        x: 10,
        y: 0,
        entrances: ['rooster_house'],
    },
    '0x27E': {
        map: 'underworld',
        x: 10,
        y: 1,
        entrances: ['bird_cave'],
    },
    '0x2F9': {
        map: 'underworld',
        x: 11,
        y: 1,
        entrances: ['multichest_left', 'multichest_right', 'multichest_top'],
    },
    '0x2F1': {
        map: 'underworld',
        x: 11,
        y: 0,
        entrances: ['multichest_left', 'multichest_right', 'multichest_top'],
    },
    '0x2FA': {
        map: 'underworld',
        x: 12,
        y: 1,
        entrances: ['multichest_left', 'multichest_right', 'multichest_top'],
    },
    '0x2F2': {
        map: 'underworld',
        x: 12,
        y: 0,
        entrances: ['multichest_left', 'multichest_right', 'multichest_top'],
    },
    '0x280': {
        map: 'underworld',
        x: 13,
        y: 1,
        entrances: ['right_taltal_connector1', 'right_taltal_connector2'],
    },
    '0x282': {
        map: 'underworld',
        x: 14,
        y: 1,
        entrances: ['right_taltal_connector1', 'right_taltal_connector2'],
    },
    '0x283': {
        map: 'underworld',
        x: 13,
        y: 1,
        entrances: ['right_taltal_connector3', 'right_taltal_connector4'],
    },
    '0x287': {
        map: 'underworld',
        x: 15,
        y: 1,
        entrances: ['right_taltal_connector3', 'right_taltal_connector4'],
    },
    '0x28C': {
        map: 'underworld',
        x: 15,
        y: 0,
        entrances: ['right_taltal_connector6', 'right_taltal_connector5'],
    },
    '0x28E': {
        map: 'underworld',
        x: 14,
        y: 0,
        entrances: ['right_taltal_connector6', 'right_taltal_connector5'],
    },
    '0x1FB': {
        map: 'underworld',
        x: 15,
        y: 2,
        entrances: ['right_fairy'],
    },
    '0x2AE': {
        map: 'underworld',
        x: 0,
        y: 2,
        entrances: ['writes_cave_left', 'writes_cave_right'],
    },
    '0x2AF': {
        map: 'underworld',
        x: 1,
        y: 2,
        entrances: ['writes_cave_left', 'writes_cave_right'],
    },
    '0x2A8': {
        map: 'underworld',
        x: 0,
        y: 3,
        entrances: ['writes_house'],
    },
    '0x29B': {
        map: 'underworld',
        x: 1,
        y: 3,
        entrances: ['writes_phone'],
    },
    '0x2F0': {
        map: 'underworld',
        x: 5,
        y: 3,
        entrances: ['moblin_cave'],
    },
    '0x2B5': {
        map: 'underworld',
        x: 7,
        y: 3,
        entrances: ['photo_house'],
    },
    '0x2FD': {
        map: 'underworld',
        x: 10,
        y: 2,
        entrances: ['mambo'],
    },
    '0x1F2': {
        map: 'underworld',
        x: 14,
        y: 2,
        entrances: ['heartpiece_swim_cave'],
    },
    '0x1E7': {
        map: 'underworld',
        x: 15,
        y: 5,
        entrances: ['raft_return_exit', 'raft_return_enter'],
    },
    '0x1F7': {
        map: 'underworld',
        x: 15,
        y: 6,
        entrances: ['raft_return_exit', 'raft_return_enter'],
    },
    '0x2B0': {
        map: 'underworld',
        x: 15,
        y: 3,
        entrances: ['raft_house'],
    },
    '0x2B3': {
        map: 'underworld',
        x: 2,
        y: 4,
        entrances: ['hookshot_cave'],
    },
    '0x2AB': {
        map: 'underworld',
        x: 0,
        y: 5,
        entrances: ['toadstool_exit', 'toadstool_entrance'],
    },
    '0x2BD': {
        map: 'underworld',
        x: 2,
        y: 6,
        entrances: ['toadstool_exit', 'toadstool_entrance'],
    },
    '0x1E1': {
        map: 'underworld',
        x: 2,
        y: 5,
        entrances: ['forest_madbatter'],
    },
    '0x2AD': {
        map: 'underworld',
        x: 5,
        y: 4,
        entrances: ['crazy_tracy'],
    },
    '0x2A2': {
        map: 'underworld',
        x: 5,
        y: 6,
        entrances: ['witch'],
    },
    '0x2DE': {
        map: 'underworld',
        x: 5,
        y: 7,
        entrances: ['graveyard_cave_left', 'graveyard_cave_right'],
    },
    '0x2DF': {
        map: 'underworld',
        x: 6,
        y: 7,
        entrances: ['graveyard_cave_left', 'graveyard_cave_right'],
    },
    '0x1FD': {
        map: 'underworld',
        x: 8,
        y: 7,
        entrances: ['castle_jump_cave'],
    },
    '0x2D3': {
        map: 'underworld',
        x: 10,
        y: 7,
        entrances: ['castle_main_entrance', 'castle_upper_left'],
    },
    '0x2D2': {
        map: 'underworld',
        x: 9,
        y: 7,
        entrances: ['castle_main_entrance', 'castle_upper_left'],
    },
    '0x2C2': {
        map: 'underworld',
        x: 9,
        y: 6,
        entrances: ['castle_main_entrance', 'castle_upper_left'],
    },
    '0x2C3': {
        map: 'underworld',
        x: 10,
        y: 6,
        entrances: ['castle_main_entrance', 'castle_upper_left'],
    },
    '0x2C5': {
        map: 'underworld',
        x: 8,
        y: 4,
        entrances: ['castle_main_entrance', 'castle_upper_left'],
    },
    '0x2D5': {
        map: 'underworld',
        x: 8,
        y: 5,
        entrances: ['castle_main_entrance', 'castle_upper_left'],
    },
    '0x2D6': {
        map: 'underworld',
        x: 9,
        y: 5,
        entrances: ['castle_upper_right'],
    },
    '0x2C6': {
        map: 'underworld',
        x: 9,
        y: 4,
        entrances: ['castle_upper_right'],
    },
    '0x1EB': {
        map: 'underworld',
        x: 10,
        y: 4,
        entrances: ['castle_secret_exit', 'castle_secret_entrance'],
    },
    '0x1EC': {
        map: 'underworld',
        x: 11,
        y: 4,
        entrances: ['castle_secret_exit', 'castle_secret_entrance'],
    },
    '0x2CC': {
        map: 'underworld',
        x: 11,
        y: 5,
        entrances: ['castle_phone'],
    },
    '0x2A5': {
        map: 'underworld',
        x: 1,
        y: 8,
        entrances: ['papahl_house_left', 'papahl_house_right'],
    },
    '0x2A6': {
        map: 'underworld',
        x: 2,
        y: 8,
        entrances: ['papahl_house_left', 'papahl_house_right'],
    },
    '0x2AA': {
        map: 'underworld',
        x: 3,
        y: 8,
        entrances: ['dream_hut'],
    },
    '0x2CE': {
        map: 'underworld',
        x: 3,
        y: 7,
        entrances: ['dream_hut'],
    },
    '0x2BE': {
        map: 'underworld',
        x: 3,
        y: 6,
        entrances: ['dream_hut'],
    },
    '0x2BF': {
        map: 'underworld',
        x: 4,
        y: 6,
        entrances: ['dream_hut'],
    },
    '0x2CF': {
        map: 'underworld',
        x: 4,
        y: 7,
        entrances: ['dream_hut'],
    },
    '0x1F4': {
        map: 'underworld',
        x: 2,
        y: 9,
        entrances: ['rooster_grave'],
    },
    '0x2A1': {
        map: 'underworld',
        x: 3,
        y: 9,
        entrances: ['shop'],
    },
    '0x2A7': {
        map: 'underworld',
        x: 1,
        y: 10,
        entrances: ['madambowwow'],
    },
    '0x2B2': {
        map: 'underworld',
        x: 1,
        y: 9,
        entrances: ['kennel'],
    },
    '0x2A3': {
        map: 'underworld',
        x: 2,
        y: 10,
        entrances: ['start_house'],
    },
    '0x1FA': {
        map: 'underworld',
        x: 0,
        y: 11,
        entrances: ['library'],
    },
    '0x2A9': {
        map: 'underworld',
        x: 1,
        y: 11,
        entrances: ['ulrira'],
    },
    '0x2CB': {
        map: 'underworld',
        x: 2,
        y: 11,
        entrances: ['mabe_phone'],
    },
    '0x2A0': {
        map: 'underworld',
        x: 3,
        y: 11,
        entrances: ['trendy_shop'],
    },
    '0x2B4': {
        map: 'underworld',
        x: 4,
        y: 10,
        entrances: ['prairie_left_phone'],
    },
    '0x2CD': {
        map: 'underworld',
        x: 4,
        y: 8,
        entrances: ['prairie_left_cave1'],
    },
    '0x2F4': {
        map: 'underworld',
        x: 5,
        y: 9,
        entrances: ['prairie_left_cave2'],
    },
    '0x2E4': {
        map: 'underworld',
        x: 5,
        y: 8,
        entrances: ['prairie_left_cave2'],
    },
    '0x2E5': {
        map: 'underworld',
        x: 6,
        y: 8,
        entrances: ['prairie_left_cave2'],
    },
    '0x1F3': {
        map: 'underworld',
        x: 7,
        y: 8,
        entrances: ['prairie_left_fairy'],
    },
    '0x2FB': {
        map: 'underworld',
        x: 4,
        y: 13,
        entrances: ['mamu'],
    },
    '0x29C': {
        map: 'underworld',
        x: 8,
        y: 8,
        entrances: ['prairie_right_phone'],
    },
    '0x2E9': {
        map: 'underworld',
        x: 10,
        y: 8,
        entrances: ['seashell_mansion'],
    },
    '0x292': {
        map: 'underworld',
        x: 9,
        y: 11,
        entrances: ['prairie_right_cave_top', 'prairie_right_cave_bottom', 'prairie_right_cave_high'],
    },
    '0x291': {
        map: 'underworld',
        x: 8,
        y: 11,
        entrances: ['prairie_right_cave_top', 'prairie_right_cave_bottom', 'prairie_right_cave_high'],
    },
    '0x290': {
        map: 'underworld',
        x: 7,
        y: 11,
        entrances: ['prairie_right_cave_top', 'prairie_right_cave_bottom', 'prairie_right_cave_high'],
    },
    '0x293': {
        map: 'underworld',
        x: 8,
        y: 12,
        entrances: ['prairie_right_cave_top', 'prairie_right_cave_bottom', 'prairie_right_cave_high'],
    },
    '0x295': {
        map: 'underworld',
        x: 8,
        y: 10,
        entrances: ['prairie_right_cave_top', 'prairie_right_cave_bottom', 'prairie_right_cave_high'],
    },
    '0x296': {
        map: 'underworld',
        x: 9,
        y: 10,
        entrances: ['prairie_right_cave_top', 'prairie_right_cave_bottom', 'prairie_right_cave_high'],
    },
    '0x2D0': {
        map: 'underworld',
        x: 10,
        y: 10,
        entrances: ['prairie_to_animal_connector', 'animal_to_prairie_connector'],
    },
    '0x2D1': {
        map: 'underworld',
        x: 11,
        y: 10,
        entrances: ['prairie_to_animal_connector', 'animal_to_prairie_connector'],
    },
    '0x1F0': {
        map: 'underworld',
        x: 12,
        y: 9,
        entrances: ['d6_connector_exit', 'd6_connector_entrance'],
    },
    '0x1F1': {
        map: 'underworld',
        x: 13,
        y: 9,
        entrances: ['d6_connector_exit', 'd6_connector_entrance'],
    },
    '0x1AC': {
        map: 'underworld',
        x: 13,
        y: 8,
        entrances: ['armos_fairy'],
    },
    '0x2FC': {
        map: 'underworld',
        x: 15,
        y: 10,
        entrances: ['armos_maze_cave'],
    },
    '0x28F': {
        map: 'underworld',
        x: 12,
        y: 11,
        entrances: ['armos_temple'],
    },
    '0x27F': {
        map: 'underworld',
        x: 12,
        y: 10,
        entrances: ['armos_temple'],
    },
    '0x1F5': {
        map: 'underworld',
        x: 4,
        y: 15,
        entrances: ['boomerang_cave'],
    },
    '0x2FE': {
        map: 'underworld',
        x: 3,
        y: 14,
        entrances: ['banana_seller'],
    },
    '0x1E3': {
        map: 'underworld',
        x: 6,
        y: 15,
        entrances: ['ghost_house'],
    },
    '0x2C7': {
        map: 'underworld',
        x: 6,
        y: 13,
        entrances: ['richard_house', 'richard_maze'],
    },
    '0x2D8': {
        map: 'underworld',
        x: 6,
        y: 12,
        entrances: ['richard_house', 'richard_maze'],
    },
    '0x2C8': {
        map: 'underworld',
        x: 6,
        y: 11,
        entrances: ['richard_house', 'richard_maze'],
    },
    '0x2C9': {
        map: 'underworld',
        x: 6,
        y: 10,
        entrances: ['richard_house', 'richard_maze'],
    },
    '0x2CA': {
        map: 'underworld',
        x: 7,
        y: 10,
        entrances: ['richard_house', 'richard_maze'],
    },
    '0x29D': {
        map: 'underworld',
        x: 8,
        y: 14,
        entrances: ['prairie_low_phone'],
    },
    '0x1F6': {
        map: 'underworld',
        x: 9,
        y: 15,
        entrances: ['prairie_madbatter_connector_entrance', 'prairie_madbatter_connector_exit'],
    },
    '0x1E5': {
        map: 'underworld',
        x: 7,
        y: 14,
        entrances: ['prairie_madbatter_connector_entrance', 'prairie_madbatter_connector_exit'],
    },
    '0x1E0': {
        map: 'underworld',
        x: 6,
        y: 14,
        entrances: ['prairie_madbatter'],
    },
    '0x2E3': {
        map: 'underworld',
        x: 11,
        y: 13,
        entrances: ['animal_phone'],
    },
    '0x2DB': {
        map: 'underworld',
        x: 11,
        y: 12,
        entrances: ['animal_house1'],
    },
    '0x2DD': {
        map: 'underworld',
        x: 12,
        y: 12,
        entrances: ['animal_house2'],
    },
    '0x2D9': {
        map: 'underworld',
        x: 13,
        y: 12,
        entrances: ['animal_house3'],
    },
    '0x2DA': {
        map: 'underworld',
        x: 14,
        y: 12,
        entrances: ['animal_house4'],
    },
    '0x2D7': {
        map: 'underworld',
        x: 13,
        y: 13,
        entrances: ['animal_house5'],
    },
    '0x2F7': {
        map: 'underworld',
        x: 14,
        y: 11,
        entrances: ['animal_cave'],
    },
    '0x2F6': {
        map: 'underworld',
        x: 13,
        y: 11,
        entrances: ['animal_cave'],
    },
    '0x2E6': {
        map: 'underworld',
        x: 13,
        y: 10,
        entrances: ['animal_cave'],
    },
    '0x2E7': {
        map: 'underworld',
        x: 14,
        y: 10,
        entrances: ['animal_cave'],
    },
    '0x1F9': {
        map: 'underworld',
        x: 15,
        y: 14,
        entrances: ['desert_cave'],
    },
    '0x1F8': {
        map: 'underworld',
        x: 14,
        y: 14,
        entrances: ['desert_cave'],
    },
    '0x1E8': {
        map: 'underworld',
        x: 14,
        y: 13,
        entrances: ['desert_cave'],
    },
    '0x2A4': { // Well
        map: 'underworld',
        x: 0,
        y: 10,
        entrances: [],
    },
    '0x2F5': { // Fisher
        map: 'underworld',
        x: 10,
        y: 14,
        entrances: [],
    },
    '0x298': { // Lens cave
        map: 'underworld',
        x: 9,
        y: 14,
        entrances: [],
    },
}